<?php

namespace App\DataTables;

use App\Models\BillingCompany;
use Yajra\DataTables\DataTables;

class BillingCompanyDataTable
{
    public static function list()
    {
        $model = BillingCompany::with('xeroAccount');

        return DataTables::of($model)
            ->editColumn('tracking_verification', function ($model) {
                if ($model->tracking_verification) return '<div class="text-center"><i class="anticon anticon-check  font-size-18 text-success"></i></div>';
            })
            ->addColumn('actions', function ($model) {

                $html = '';
                $html .= '<a href="javascript:void(0)" data-url="' . route('billing-companies.edit', $model->id) . '" class="load-modal" title="Edit">
                             <i class="anticon anticon-form font-size-18"></i>
                         </a>';
                $html .= '<a href="javascript:void(0)" class="delete custom-modal" data-table="company-table" title="Delete"
                    data-title="Delete Company" data-url="' . route('billing-companies.destroy', $model->id) . '"
                    data-msg="Are you sure want to delete?" data-method="delete"
                    data-action-btn="Delete" data-loading-text="Deleting..."
                    data-action="' . route('billing-companies.destroy', $model->id) . '">
                    <i class="anticon anticon-delete font-size-18 text-danger"></i>
                </a>';

                return $html;
            })
            ->addColumn('parcel_domestic_account_code', function ($model) {
                return $model->xeroAccount->parcel_domestic_account_code ?? '';
            })
            ->addColumn('post_domestic_account_code', function ($model) {
                return $model->xeroAccount->post_domestic_account_code ?? '';
            })
            ->addColumn('parcel_international_account_code', function ($model) {
                return $model->xeroAccount->parcel_international_account_code ?? '';
            })
            ->addColumn('post_international_account_code', function ($model) {
                return $model->xeroAccount->post_international_account_code ?? '';
            })
            ->addColumn('account_code', function ($model) {
                return $model->xeroAccount->post_international_account_code ?? '';
            })
            ->rawColumns(['actions', 'tracking_verification', 'parcel_domestic_account_code', 'post_domestic_account_code', 'parcel_international_account_code', 'post_international_account_code', 'account_code'])
            ->addIndexColumn()
            ->make(true);
    }
}
