<?php

namespace App\DataTables;

use App\Models\WeightClass;
use Yajra\DataTables\DataTables;

class WeightClassDataTable
{
    public static function list($request, $service_type_id)
    {
        $model = WeightClass::where(['service_type_id' => $service_type_id]);
      
        return DataTables::of($model)

        ->addColumn('actions', function ($model) {
            $html  = '';
            $html .=  '<a href="javascript:void(0)" data-url="' . route('weight-classes.edit', $model->id) . '" class="load-modal" title="Edit">
                        <i class="anticon anticon-form font-size-18"></i>
                    </a>';
            $html .=    '<a href="javascript:void(0)" class="delete custom-modal" data-table="weight-class-table" title="Delete"
                        data-title="Delete Weight Class" data-url="' . route('weight-classes.destroy', $model->id) . '"
                        data-msg="Are you sure want to delete?" data-method="delete"
                        data-action-btn="Delete" data-loading-text="Deleting..."
                        data-alert-danger="Warning: deleting a weight class will delete all related prices. They can not be restored."
                        data-action="' . route('weight-classes.destroy', $model->id) . '">
                        <i class="anticon anticon-delete font-size-18 text-danger"></i>
                    </a>';
            return $html;
        })
        ->rawColumns(['actions','countries','icluded_postcode'])
        ->addIndexColumn()
        ->make(true);


    }
}
