<?php

namespace App\Http\Controllers;
use App\Models\LogModel;
use App\Models\Masterconfig;
use Session;
use App\Models\Ebayaccount;
use App\Helpers\ebayHelper;
use App\Helpers\eBaySession;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
class ImageReviseController extends Controller
{
    public function uploadImageView()
    {
        return view('ebayimagerevise.image_uploader');
    }

    public function ImageStatus(Request $request)
    {
        if ($request->hasFile('itemfiles')) {
            set_time_limit(0);
            $filepath = $request->file('itemfiles')->getRealPath();
            $csv = array_map("str_getcsv", file($filepath));
            $x = 0;
            $values = array(array('item_id', "hosting_urls", 'image_status'));
            foreach ($csv as $items) {
                if ($x == 0) {
                    $x++;
                    continue;
                }
                $itemid = trim($items[0]);

                if (!empty($itemid) && is_numeric($itemid)) {
                    $product_id = $itemid;

                    // print_r($response);

                    $accountid = Session::get('ebayaccountid');
                    $account = Ebayaccount::find($accountid);

                    // $compatibilitylevel = DB::table('masterconfig')->where('config_key', 'EBAY_COMPATIBILITY_LEVEL')->pluck('config_value');
                    $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();

                    $compatibilitylevel = $masterconfig->config_value;
                    $helper = new ebayHelper($account->user_token, $account->currency);

                    $reviseRequestXML = $helper->getItemhtmlRequestXML($product_id);

                    $verb = "GetItem";
                    $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                    $responseXml = $session->sendHttpRequest($reviseRequestXML);

                    $xml = simplexml_load_string($responseXml);
                    $urls = '';
                    if (isset($xml->Item->PictureDetails)) {
                        foreach ($xml->Item->PictureDetails->PictureURL as $URL) {

                            if($xml->Item->PictureDetails->PictureURL[count($xml->Item->PictureDetails->PictureURL)-1] != $URL){
                                $urls .= $URL . '|()|';
                            }else{
                                $urls .= $URL;
                            }
                        }
                        $hostingURL = $xml->Item->PictureDetails->PictureURL[0];

                        if (strpos($hostingURL, 'i.ebayimg.com') === false) {
                            array_push($values, array("$product_id", $urls, "Deactive"));
                        } else {
                            array_push($values, array("$product_id", $urls, "Active"));
                        }

                        if ($xml->Ack == 'Success') {

                            $this->logevent($product_id, "Get Item Image Status successfully.", $accountid);
                        } elseif ($xml->Ack == 'Warning') {
                            $message = $xml->Errors->LongMessage;

                            $this->logevent($product_id, "Get Item Image Status successfully,", $accountid, "WARNING", $message);
                        } else {

                            $message = $xml->Errors->LongMessage;

                            $this->logevent($product_id, "skipped", $accountid, "ERROR", $message);
                        }
                    }
                }
                $x++;
            }
            $this->downloadcsv($values);
        }
    }

    public function ThambnailView()
    {
        return view('ebayimagerevise.fixedThumbnails');

    }
    public function FixedThumbnails(Request $request)
    {
        if ($request->hasFile('itemfiles')) {
            set_time_limit(0);
            $filepath = $request->file('itemfiles')->getRealPath();
            $csv = array_map("str_getcsv", file($filepath));
            $x = 0;

            foreach ($csv as $items) {
                if ($x == 0) {
                    $x++;
                    continue;
                }
                $itemid = trim($items[0]);
                $urls = explode('|()|', $items[1]);
                $status = $items[2];
                $PictureURL = '';
                if (!empty($itemid) && is_numeric($itemid) && $status == 'Deactive') {

                    $accountid = Session::get('ebayaccountid');
                    $account = Ebayaccount::find($accountid);
                    // $compatibilitylevel = DB::table('masterconfig')->where('config_key', 'EBAY_COMPATIBILITY_LEVEL')->pluck('config_value');
                    $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();

                    $compatibilitylevel = $masterconfig->config_value;
                    $helper = new ebayHelper($account->user_token, $account->currency);
                    foreach ($urls as $url) {
                        if (!empty($url)) {
                            $reviseRequestXML = $helper->uploadSiteHostedPictures($url);
                            $verb = "UploadSiteHostedPictures";
                            $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                            $responseXml = $session->sendHttpRequest($reviseRequestXML, "Content-Type:text/xml;charset=utf-8");

                            $xml = simplexml_load_string($responseXml);
                           if($xml->Ack == 'Failure'){
                                $message = $xml->Errors->LongMessage;
                            }else{
                                $PictureURL .= '<PictureURL>' . $xml->SiteHostedPictureDetails->FullURL . '</PictureURL>';
                            }
                        }
                    }
                    if($xml->Ack == 'Failure'){
                        $this->logevent($itemid, "failed (Image URL did not work Change the Product image and try again Thank you!)", $accountid, "ERROR", $message);
                    }else{
                        $reviseRequestXML = $helper->revisePictureDetailsRequestXML($itemid, $PictureURL);
                        $verb = "ReviseItem";
                        $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                        $responseXml = $session->sendHttpRequest($reviseRequestXML);

                        $xml = simplexml_load_string($responseXml);
                        if ($xml->Ack == 'Success') {

                            $this->logevent($itemid, "Picture URL Updated successfully.", $accountid);
                        } elseif ($xml->Ack == 'Warning') {
                            $message = $xml->Errors->LongMessage;

                            $this->logevent($itemid, "Picture URL Updated successfully.,", $accountid, "WARNING", $message);
                        } else {

                            $message = $xml->Errors->LongMessage;

                            $this->logevent($itemid, "skipped", $accountid, "ERROR", $message);
                        }
                    }

                }

                $x++;
            }
        }
        return view('ebayimagerevise.fixedThumbnails');
     }
    private function logevent($my_itemid, $action, $accountid, $event_type = "INFO", $message = "")
    {
        $event = array(
            'my_itemid' => $my_itemid,
            'action' => $action,
            'ebayaccount_id' => $accountid,
            'any_message' => $message,
            'event_type' => $event_type
        );

        LogModel::create($event);
    }

    public function downloadcsv($values)
    {
        ob_clean();
        ob_start();
        $delimiter = ",";
        $file_name = 'Image-status.csv';
        header('Content-Type: text/csv');
        header('Content-Disposition: attachment; filename="' . $file_name . '";');
        header('Pragma: no-cache');
        header('Expires: 0');
        $fp = fopen('php://memory', 'w');

        foreach ($values as $value) {
            $fileds = $value;
            fputcsv($fp, $fileds, $delimiter);
        }
        fseek($fp, 0);

        fpassthru($fp);

        return ('');
    }
}
