<?php

namespace App\Http\Controllers;
use App\Models\Compatibility;
use App\Models\Ebayaccount;
use App\Models\Masterconfig;
use App\Models\Task;
use App\Models\LogModel;
use App\Models\CompatibilityCheck;
use App\Helpers\ebayHelper;
use App\Helpers\eBaySession;
use ZipArchive;
// use App\helpers\ebayHelper;
use Session;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ListingController extends Controller
{

    public function createUploadcompatibilityForm()
    {
        return view('compatibility.upload_compatibility');
    }

    public function createUploadcheckcompatibilityForm()
    {
        return view('compatibility.checkupload_compatibility');
    }
    public function getitemhtmldescription()
    {
        return view('itemhtmldescription.checkupload_compatibility');
    }

    public function checkCompatibilityItemWithEbay(Request $request)
    {

        if ($request->hasFile('itemfiles')) {
            set_time_limit(0);
            $filepath = $request->file('itemfiles')->getRealPath();
            $csv = array_map("str_getcsv", file($filepath));
            $x = 0;
            CompatibilityCheck::truncate();

            foreach ($csv as $items) {
                if ($x == 0) {
                    $x++;
                    continue;
                }
               $itemid = trim($items[0]);

               if(!is_numeric($itemid)){
                continue;
               }
                //$itemid = "233929480620";
                $accountid = Session::get('ebayaccountid');
                $account = Ebayaccount::find($accountid);
                $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();

                    $compatibilitylevel = $masterconfig->config_value;
                // $compatibilitylevel = DB::table('masterconfig')->where('config_key', 'EBAY_COMPATIBILITY_LEVEL')->pluck('config_value');
                $helper = new ebayHelper($account->user_token, $account->currency);
                $verb = "GetItem";
                $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                $response = $helper->getCompatibleItemRequestXML($itemid);
                $responseXml = $session->sendHttpRequest($response);
                $xml = simplexml_load_string($responseXml);
                $err = $xml->Ack;


                if ($err == 'Failure') {
                    $message = 'Get compatibility ItemId is invalid';
                    $this->logevent($filepath,$itemid, "Input data is invalid", $accountid, "ERROR", $message);
                    continue;
                }



                if (isset($xml->Item->ItemCompatibilityList->Compatibility)) {
                    $compatibility = array('itemid' => $itemid, 'compatible' => 'yes');
                    CompatibilityCheck::create($compatibility);
                } else {
                    $compatibility = array('itemid' => $itemid, 'compatible' => 'no');
                    CompatibilityCheck::create($compatibility);
                }
            }

            header('Content-Type: application/csv');
            header('Content-Disposition: attachment; filename="compatible.csv";');
            $f = fopen('php://output', 'w');
            fputcsv($f, array('ItemID', 'Compatible'));

            $items = CompatibilityCheck::all();

            foreach ($items as $item) {
                fputcsv($f, array($item->itemid, $item->compatible));
            }
        }
    }

    public function sendcompatibilityitemtoebay(Request $request)
    {


        if ($request->hasFile('itemfiles')) {
            set_time_limit(0);
            $filepath = $request->file('itemfiles')->getRealPath();
            $csv = array_map("str_getcsv", file($filepath));
            $x = 0;

            Compatibility::truncate();
            foreach ($csv as $items) {
                if ($x == 0) {
                    $x++;
                    continue;
                }
                $itemid = trim($items[0]);
                $postid = trim($items[1]);

                $accountid = Session::get('ebayaccountid');
                $account = Ebayaccount::find($accountid);
                $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();

                    $compatibilitylevel = $masterconfig->config_value;
                // $compatibilitylevel = DB::table('masterconfig')->where('config_key', 'EBAY_COMPATIBILITY_LEVEL')->pluck('config_value');
                $helper = new ebayHelper($account->user_token, $account->currency);

                $verb = "GetItem";
                $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);

                if(!is_numeric($itemid)){
                    continue;
                }
                $response = $helper->getItemRequestXML($itemid);
                $responseXml = $session->sendHttpRequest($response);


                $xml = simplexml_load_string($responseXml);
                $err = $xml->Ack;

                // print_r($xml);
                // die;
                if ($err == 'Failure') {
                    $message = 'Get compatibility ItemId is invalid';
                    $this->logevent($filepath,$itemid, "Input data is invalid", $accountid, "ERROR", $message);
                    continue;
                }

                $array = array();

                    if(isset($xml->Item->ItemCompatibilityList->Compatibility)){
                        for ($i = 0; $i < count($xml->Item->ItemCompatibilityList->Compatibility); $i++) {
                            $compatibility_list = $xml->Item->ItemCompatibilityList->Compatibility[$i];

                            if ($compatibility_list->NameValueList[3]->Name == 'UKM_CCM') {
                                $make = (string)$compatibility_list->NameValueList[1]->Value;
                                $model = (string)$compatibility_list->NameValueList[2]->Value;
                                $ccm = (string)$compatibility_list->NameValueList[3]->Value;
                                $submodel = (string)$compatibility_list->NameValueList[4]->Value;
                                $year = (string)$compatibility_list->NameValueList[5]->Value;
                                if (isset($compatibility_list->NameValueList[6])) {
                                    $streetName = (string)$compatibility_list->NameValueList[6]->Value;
                                } else {
                                    $streetName = '';
                                }
                                $notes = "";
                                if (isset($compatibility_list->CompatibilityNotes)) {
                                    $notes = (string)$compatibility_list->CompatibilityNotes;
                                }

                                $array[] = $this->MotocycleCompatibility($make, $model, $ccm, $submodel, $year, $streetName, $notes, $postid);
                            } else {
                                $make = (string)$compatibility_list->NameValueList[1]->Value;
                                $model = (string)$compatibility_list->NameValueList[2]->Value;
                                $year = (string)$compatibility_list->NameValueList[3]->Value;
                                $variant = (string)$compatibility_list->NameValueList[4]->Value;
                                if (isset($compatibility_list->NameValueList[5])) {
                                    $bodystyle = (string)$compatibility_list->NameValueList[5]->Value;
                                }
                                if (isset($compatibility_list->NameValueList[6])) {
                                    $cartype = (string)$compatibility_list->NameValueList[6]->Value;
                                } else {
                                    $cartype = '';
                                }
                                if (isset($compatibility_list->NameValueList[7])) {
                                    $engine = (string)$compatibility_list->NameValueList[7]->Value;
                                } else {
                                    $engine = '';
                                }
                                $notes = "";
                                if (isset($compatibility_list->CompatibilityNotes)) {
                                    $notes = (string)$compatibility_list->CompatibilityNotes;
                                }
                                $part = "";

                                $itemid = $postid;

                                $currentrecords = Compatibility::where('make', $make)
                                    ->where('model', $model)
                                    ->where('year', $year)
                                    ->where('variant', $variant)
                                    ->where('bodystyle', $bodystyle)
                                    ->where('cartype', $cartype)
                                    ->where('engine', $engine)
                                    ->where('notes', $notes)
                                    ->where('part', $part)
                                    ->take(1)->get();

                                if (count($currentrecords) <= 0) {

                                    $compatibility = array(
                                        $make,
                                        $model,
                                        $variant,
                                        $bodystyle,
                                        $cartype,
                                        $year,
                                        $engine,
                                        $notes,
                                        $part,
                                        $itemid
                                    );

                                    $array[] = $compatibility;
                                    // save the guestbook entry to the database
                                    Compatibility::create($compatibility);
                                } else {

                                    DB::table('compatibility')
                                        ->where('id', $currentrecords[0]->id)
                                        ->update(array('itemid' => $currentrecords[0]->itemid . ", " . $itemid));
                                }
                            }
                        }
                        if (count($array[0]) > 5) {
                            if ($compatibility_list->NameValueList[3]->Name == 'UKM_CCM') {
                                $reviseRequestXML = $helper->reviseMotocycleCompatibilityRequestXML($postid, $array);
                            } else {
                                $reviseRequestXML = $helper->reviseCompatibilityRequestXML($postid, $array);
                            }

                            $verb = "ReviseItem";
                            $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                            $responseXml = $session->sendHttpRequest($reviseRequestXML);

                            $xml = simplexml_load_string($responseXml);
                            if ($xml->Ack == 'Success') {

                                $this->logevent($filepath,$postid, "compatibility revised successfully.", $accountid);
                            } elseif ($xml->Ack == 'Warning') {
                                $message = $xml->Errors->LongMessage;

                                $this->logevent($filepath,$postid, "compatibility revised successfully,", $accountid, "WARNING", $message);
                            } else {

                                $message = $xml->Errors->LongMessage;

                                $this->logevent($filepath,$postid, "skipped", $accountid, "ERROR", $message);
                            }
                        } else {
                            print_r($postid);
                            $this->logevent($filepath,$postid, 'Compatibility is empty!', $accountid);
                        }
                    } else {
                        // dd('dddd');
                        print_r($postid);
                        $this->logevent($filepath,$postid, 'Compatibility is empty!', $accountid);
                    }






                $x++;
            }
        }
        return view('compatibility.upload_compatibility');
    }

    public function MotocycleCompatibility($make, $model, $ccm, $submodel, $year, $streetName, $notes, $postid)
    {

        $itemid = $postid;
        $compatibility = '';
        $currentrecords = MotocycleCompatibility::where('make', $make)
            ->where('model', $model)
            ->where('CCM', $ccm)
            ->where('Submodel', $submodel)
            ->where('year', $year)
            ->where('StreetName', $streetName)
            ->where('itemid', $itemid)
            ->take(1)->get();

        if (count($currentrecords) <= 0) {

            $compatibility = array(
                $make,
                $model,
                $ccm,
                $submodel,
                $year,
                $streetName,
                $notes,
                $itemid
            );

            // save the guestbook entry to the database
            DB::table('MotocycleCompatibility')->insert(array('make' => $make, 'model' => $model, 'CCM' => $ccm, 'Submodel' => $submodel, 'year' => $year, 'StreetName' => $streetName, 'notes' => $notes, 'itemid' => $itemid));
        } else {

            DB::table('MotocycleCompatibility')
                ->where('id', $currentrecords[0]->id)
                ->update(array('itemid' => $currentrecords[0]->itemid . ", " . $itemid));
        }
        return $compatibility;
    }
         public function getitemhtmldescriptionpost(Request $request)
         {
             if ($request->hasFile('itemfiles')) {
                 set_time_limit(0);
                 $filepath = $request->file('itemfiles')->getRealPath();
                 $csv = array_map("str_getcsv", file($filepath));
                 $x = 0;

                 header('Content-Type: application/csv');
                 header('Content-Disposition: attachment; filename="itemhtmldescrption.csv";');
                 $f = fopen('php://output', 'w');
                 fputcsv($f, array('ItemID', 'Descrption', 'Item Specifics'));


                 foreach ($csv as $items) {
                     if ($x == 0) {
                         $x++;
                         continue;
                     }

                     $itemid =  $items[0];
                     // $itemid = "171643147474";
                     $accountid = Session::get('ebayaccountid');
                     $account = Ebayaccount::find($accountid);
                     $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();

                    $compatibilitylevel = $masterconfig->config_value;//DB::table('masterconfig')->where('config_key', 'EBAY_COMPATIBILITY_LEVEL')->pluck('config_value');

                     $helper = new ebayHelper($account->user_token, $account->currency);

                     $verb = "GetItem";
                     $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                     //$itemid = "171643147474";


                     $response = $helper->getItemhtmlRequestXML($itemid);
                     $responseXml = $session->sendHttpRequest($response);

                     $xml = simplexml_load_string($responseXml);
// print_r($xml);
// die;

                     if (isset($xml->Ack)) {
                         $err = $xml->Ack;
                         if ($err == 'Failure') {
                             $message = 'Get Item Description ItemId is invalid';
                             $this->logevent($filepath,$itemid, "Input data is invalid", $accountid, "ERROR", $message);
                             continue;
                         }

                         $itemspecifics = $xml->Item->ItemSpecifics->NameValueList;
                         $items = '';
                         $item_specific = '';
                         foreach ($itemspecifics as $itemspecific) {
                             $item_specific .= $itemspecific->Name;
                             $coun = count($itemspecific->Value);
                             if ($coun > 1) {
                                 $r = 1;
                                 foreach ($itemspecific->Value as $v) {
                                     if ($r == 1) {
                                         $item_specific .= ' > ' . $v . '.';
                                     } else {
                                         $item_specific .= ' | ' . $v . '.';
                                     }

                                     $r++;
                                 }
                                 $item_specific .= "\ ";
                             } else {
                                 $item_specific .= ' > ' . $itemspecific->Value . '.' . "\ ";
                             }
                         }

                         if (isset($xml->Item->Description)) {
                             $dscription = preg_replace('/[^(\x20-\x7F)\x0A\x0D]*/', '', $xml->Item->Description);
                             $dscription = str_replace(',', '', $dscription);
                             fputcsv($f, array($itemid, $dscription, $item_specific));
                         }
                     } else {
                     }
                 }
             }
             return;
         }

    public function executeTask()
    {

            $taskOnProcess = Task::where(array('status' => 2, 'files_uploaded' => 1))->first();

            if ($taskOnProcess) {
                //return;
            }
            $queuedTasks = Task::where(array('status' => 1, 'files_uploaded' => 1))->first();
            /* Delete this "if" */
            if (empty($queuedTasks))
                return;

            if ($queuedTasks->name == "") {
                $queuedTasks->status = 0;
                $queuedTasks->files_uploaded = 0;
                $queuedTasks->save();
                die;
            }
            $queuedTasks->status = 2;
            $queuedTasks->save();


            $task = Task::find($queuedTasks->id);
            $accountid = $task->ebay_account_id;
            $account = Ebayaccount::find($accountid);



            if($queuedTasks->job_type==1){
                $filesOfTask = DB::select("select * from compatibility_files where task_id = $queuedTasks->id");
                 "Making directory  csv_reports/$queuedTasks->directory";
                 echo "compatibility\r\n";
                @mkdir(public_path("csv_reports/$queuedTasks->directory"));
                $i = 1;
                foreach ($filesOfTask as $file) {
                $csvFile = fopen(public_path("csv_reports/" . $queuedTasks->directory . "/" . $queuedTasks->name . "-$i.csv"), "w");
                $this->sendtoebay(public_path($file->file_path), $queuedTasks->id, $csvFile);
                    fclose($csvFile);
                    $i++;
                }
                $this->zipReport($queuedTasks->name, $queuedTasks->id);

            }else if($queuedTasks->job_type==2){

                $csvFile = fopen(public_path("rrp/"  . $queuedTasks->name. ".csv"), "w");
                fputcsv($csvFile, array('item_id', "Status","message"));

                $filesOfTask = DB::select("select * from compatibility_files where task_id = $queuedTasks->id");
                 "Making directory  csv_reports/$queuedTasks->directory\r\n";
                echo "Runing RRP Strikethrough\r\n";
                @mkdir(public_path("csv_reports/$queuedTasks->directory"));
                 $filepath = $filesOfTask[0]->file_path;
                $csv = array_map("str_getcsv", file(public_path($filepath)));
                $x = 0;
                $linecount =count($csv);
                echo "line count is $linecount\r\n";
                foreach ($csv as $items) {
                    if ($x == 0) {
                        $x++;
                        continue;
                    }
                    // print_r($items);
                    $itemid = $items[0];
                    $RRP_price='';
                    if(isset($items[1]))
                     $RRP_price = $items[1];
                    if( $itemid == '' || empty($itemid)){
						$queuedTasks->status = 0;
						$queuedTasks->save();
                        return view('recommendedretailprice.recommendedretailprice_uploader');
                    }
                    echo "row is $x and line count is $linecount, Task ID $queuedTasks->id\r\n";

					// echo "row is $row , line count is $linecount and TaskID $task_id\r\n";
                    $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();
                    $compatibilitylevel = $masterconfig->config_value;
                    $helper = new ebayHelper($account->user_token, $account->currency);
                    $reviseRequestXML = $helper->revise_RRP_priceRequest($itemid, $RRP_price);
                    $verb = "ReviseItem";


                    $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                    $responseXml = $session->sendHttpRequest($reviseRequestXML);
                        $xml = simplexml_load_string($responseXml);
                            if ($xml->Ack == 'Success') {
                                // $message = $xml->Errors->LongMessage;
                                fputcsv($csvFile, array( $itemid, 'Success',''));
                                $this->logevent($queuedTasks->name,$itemid, "Recommended Retail Price revised successfully.", $accountid);
                            } elseif ($xml->Ack == 'Warning') {
                                $message = $xml->Errors->LongMessage;
                                fputcsv($csvFile, array( $itemid,'Warning',$message));
                                $this->logevent($queuedTasks->name,$itemid, "Recommended Retail Price revised successfully,", $accountid, "WARNING", $message);
                            } else {
                                $message = $xml->Errors->LongMessage;
                                fputcsv($csvFile, array( $itemid, 'Error',$message));
                                $this->logevent($queuedTasks->name,$itemid, "skipped", $accountid, "ERROR", $message);
                            }
                        $x++;
                }
                fclose($csvFile);
                echo "Updated the RRP Strikethrough\r\n";
            }else if($queuedTasks->job_type==3){

                $filesOfTask = DB::select("select * from compatibility_files where task_id = $queuedTasks->id");
                 "Making directory  csv_reports/$queuedTasks->directory\r\n";
                echo "Runing Check Image Status & Fixing Image Issues\r\n";
                @mkdir(public_path("csv_reports/$queuedTasks->directory"));
                $filepath = $filesOfTask[0]->file_path;
                $csv = array_map("str_getcsv", file(public_path($filepath)));
                $values = array(array('item_id', "hosting_urls", 'image_status'));
                    $x = 0;
                    $linecount =count($csv);
                    echo "line count is $linecount\r\n";
                    // print_r($csv);
                    foreach ($csv as $items) {
                        if ($x == 0) {
                            $x++;
                            continue;
                        }
                         $itemid = trim($items[0]);

                       echo "row is $x and line count is $linecount, Task ID $queuedTasks->id\r\n";
                       //echo "row is $x and line count is $linecount, Task ID $queuedTasks->id\r\n";

                        if (!empty($itemid) && is_numeric($itemid)) {


                            $product_id = $itemid;

                            $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();
                            $compatibilitylevel = $masterconfig->config_value;
                            $helper = new ebayHelper($account->user_token, $account->currency);
                            $reviseRequestXML = $helper->getItemhtmlRequestXML($product_id);
                            $verb = "GetItem";
                            $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                            $responseXml = $session->sendHttpRequest($reviseRequestXML);
                            $xml = simplexml_load_string($responseXml);
                            $urls = '';



                            if (isset($xml->Item->PictureDetails)) {

                                foreach ($xml->Item->PictureDetails->PictureURL as $URL) {
                                    if($xml->Item->PictureDetails->PictureURL[count($xml->Item->PictureDetails->PictureURL)-1] != $URL){
                                        $urls .= $URL . '|()|';
                                    }else{
                                        $urls .= $URL;
                                    }
                                }
                                $hostingURL = $xml->Item->PictureDetails->PictureURL[0];
                                if (strpos($hostingURL, 'i.ebayimg.com') === false) {
                                    array_push($values, array("$product_id", $urls, "Deactive"));
                                    //$this->fixingImage("$product_id", $urls, "Deactive",$accountid);
                                }else {
                                    array_push($values, array("$product_id", $urls, "Active"));
									//$this->fixingImage("$product_id", $urls, "Active");
                                }

                                if ($xml->Ack == 'Success') {
                                    $this->logevent($queuedTasks->name,$product_id, "Get Item Image Status successfully.", $accountid);
                                } elseif ($xml->Ack == 'Warning') {
                                    $message = $xml->Errors->LongMessage;
                                    $this->logevent($queuedTasks->name,$product_id, "Get Item Image Status successfully,", $accountid, "WARNING", $message);
                                } else {
                                    $message = $xml->Errors->LongMessage;
                                    $this->logevent($queuedTasks->name,$product_id, "skipped", $accountid, "ERROR", $message);
                                }
                            }

                        }
                        $x++;
                    }
                //$this->fixingImage($values);
                $filename =$queuedTasks->name.'_'.$queuedTasks->id;
                $this->fixingImage($values,$accountid,$filename);
                echo "Updated the Runing Check Image Status & Fixing Image Issues\r\n";
            }
            $queuedTasks->status = 0;
            $queuedTasks->save();
            return;
    }

    private function fixingImage($values,$accountid,$filename){

        $csvFile = fopen(public_path("image_urlerror/"  . $filename . ".csv"), "w");

        fputcsv($csvFile, array('item_id', "Image Url","Error"));
        $x = 0;
        foreach ($values as $items) {
            if ($x == 0) {
                $x++;
                continue;
            }
            $itemid = trim($items[0]);
             $urls = explode('|()|', $items[1]);
            $status = $items[2];
                $PictureURL = '';
                if (!empty($itemid) && is_numeric($itemid) && $status == 'Deactive') {
                    $account = Ebayaccount::find($accountid);
                    $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();
                    $compatibilitylevel = $masterconfig->config_value;
                    $helper = new ebayHelper($account->user_token, $account->currency);
                    foreach ($urls as $url) {
                        if (!empty($url)) {
                            $reviseRequestXML = $helper->uploadSiteHostedPictures($url);
                            $verb = "UploadSiteHostedPictures";
                            $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                            $responseXml = $session->sendHttpRequest($reviseRequestXML, "Content-Type:text/xml;charset=utf-8");

                            $xml = simplexml_load_string($responseXml);
                           if($xml->Ack == 'Failure'){
                                $message = $xml->Errors->LongMessage;
                            }else{
                                $PictureURL .= '<PictureURL>' . $xml->SiteHostedPictureDetails->FullURL . '</PictureURL>';
                            }
                        }
                    }
                    if($xml->Ack == 'Failure'){

                        fputcsv($csvFile, array( $itemid, $url, $message));
                        $this->logevent($filename,$itemid, "failed (Image URL did not work Change the Product image and try again Thank you!)", $accountid, "ERROR", $message);
                    }else{
                        $reviseRequestXML = $helper->revisePictureDetailsRequestXML($itemid, $PictureURL);
                        $verb = "ReviseItem";
                        $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                        $responseXml = $session->sendHttpRequest($reviseRequestXML);

                        $xml = simplexml_load_string($responseXml);
                        if ($xml->Ack == 'Success') {
                            $this->logevent($filename,$itemid, "Picture URL Updated successfully.", $accountid);
                        } elseif ($xml->Ack == 'Warning') {
                            $message = $xml->Errors->LongMessage;
                            $this->logevent($filename,$itemid, "Picture URL Updated successfully.,", $accountid, "WARNING", $message);
                        } else {

                            $message = $xml->Errors->LongMessage;
                            $this->logevent($filename,$itemid, "skipped", $accountid, "ERROR", $message);


                        }
                    }

                }
                 $x++;
            }

fclose($csvFile);

            return;
    }
    public function zipReport($task_name, $task_id)
    {
        $task = Task::find($task_id);
        $dir = public_path("csv_reports/" . $task->directory);
        $files = scandir($dir);
        $i = 0;
        $zipname = public_path("csv_reports/" . $task->directory . "/" . $task_name . '.zip');
        $zip = new ZipArchive;
        $zip->open($zipname, ZipArchive::CREATE);
        foreach ($files as $file) {
            if ($i < 2) {
                $i++;
                continue;
            }

            $trackPath = $dir . "/" . $file;
            $zip->addFile($trackPath, $file);
        }
        $zip->close();
        return;




    }

    public function sendtoebay($filepath, $task_id, $csvFile)
    {
        $task = Task::find($task_id);
        //read the XLS or CSV file
        //       if (Input::hasFile('compatibilityfile')) {
        set_time_limit(0);
        //process csv into compatibility array. use Azam's logic
        //$filepath = Input::file('compatibilityfile')->getRealPath();
        //$itemcompatibilitymap = $this->getItemCompatibilityMap($filepath);
        //send to ebay and log each entry
        $accountid = $task->ebay_account_id;
        $account = Ebayaccount::find($accountid);
        // $compatibilitylevel = DB::table('masterconfig')->where('config_key', 'EBAY_COMPATIBILITY_LEVEL')->pluck('config_value');
        $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();

                    $compatibilitylevel = $masterconfig->config_value;
                    $itid='';
        $helper = new ebayHelper($account->user_token, $account->currency);
        $i = 1;
        $info = array();
        $data = "Item ID,Action,Event,Message";
        $info[0] = $data;
        $row = 0;
        $itemId = null;
        $itemIdTemp = null;
        $send = false;
        $finalizedArray = array();
        $row_name = array();
        $linecount = 0;
        // echo $filepath;


        // die;
        $handle = fopen($filepath, "r");
        while (!feof($handle)) {
            $line = fgets($handle);
            if ($line != '') {
                $linecount++;
            }
        }
        fclose($handle);

        echo "line count is $linecount\r\n";

        if (($handle = fopen($filepath, "r")) !== FALSE) {
            while (($data = fgetcsv($handle,0, ",")) !== FALSE) {
                // Check stopped by user.
                $checkTask = Task::find($task_id);
                if ($checkTask->terminated_by_user == 1) {
                    break;
                }
                $row_name[] = $data[2];
                $id_num[] = array_search('ItemID', $data);
                $row++;
                //Skip header on csv
                if ($row == 1) {
                    continue;
                }


                $record = array();
                $num = count($data);
                $years = array();
                for ($c = 0; $c < $num; $c++) {
                    if ($row_name[0] != 'UKM_CCM') {
                        if ($c == 8) {

                            if ($row == 2) {
                                //echo $row;
                                $itemId = $data[$c];
                                $itemIdTemp = $data[$c];
                            } else {
                                echo "row is $row and line count is $linecount. TaskID $task_id\r\n";
                                if ($itemId != $data[$c] || $linecount == $row) {
                                    $send = true;
                                    $itemIdTemp = $itemId;
                                    $itemId = $data[$c];
                                }
                            }
                        }
                    } else {
                        if ($row == 2) {
                            echo $row;
                            $itemId = $data[$id_num[0]];
                            $itemIdTemp = $data[$id_num[0]];
                        } else {
                            if ($itemId != $data[$id_num[0]] || $linecount == $row) {
                                echo "row is $row and line count is $linecount / $row\r\n";
                                $send = true;
                                $itemIdTemp = $itemId;
                                $itemId = $data[$id_num[0]];
                            }
                        }
                    }

                    $record[$c] = $data[$c];
                    if ($c == 5) {
                        $years = explode("|", $data[$c]);
                    }
                }
                if($itemIdTemp == 0 ||$itemIdTemp=='' ||empty($itemIdTemp)){
                    continue;
                }


                if ($send) {

                    if ($row_name[0] != 'UKM_CCM') {
                         $reviseRequestXML = $helper->reviseCompatibilityRequestXML($itemIdTemp, $finalizedArray);
                    } else {
                         $reviseRequestXML = $helper->reviseMotocycleCompatibilityRequestXML($itemIdTemp, $finalizedArray, true);
                    }


                    $verb = "ReviseItem";
                    $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                    $responseXml = $session->sendHttpRequest($reviseRequestXML);
                    $xml = simplexml_load_string($responseXml);

                    if ($xml->Ack == 'Success' && $itid !=$itemIdTemp) {
                        $this->logevent($task->name,$itemIdTemp, "compatibility revised successfully.", $accountid);
                        $data = "$itemIdTemp,compatibility revised successfully.";
                        fputcsv($csvFile, explode(',', $data));
                        $itid =$itemIdTemp;
                    } elseif ($xml->Ack == 'Warning'&& $itid !=$itemIdTemp) {
                        $message = $xml->Errors->LongMessage;
                        $this->logevent($task->name,$itemIdTemp, "compatibility revised successfully,", $accountid, "WARNING", $message);
                        $data = "$itemIdTemp,compatibility revised successfully.,WARNING,$message";
                        fputcsv($csvFile, explode(',', $data));
                        $itid =$itemIdTemp;
                    } elseif($xml->Ack == 'ERROR'&& $itid !=$itemIdTemp){
                        $message = $xml->Errors->LongMessage;
                        $this->logevent($task->name,$itemIdTemp, "skipped", $accountid, "ERROR", $message);
                        $data = "$itemIdTemp,skipped,ERROR,$message";
                        fputcsv($csvFile, explode(',', $data));
                        $itid =$itemIdTemp;
                    }

                    $finalizedArray = array();
                    $itemIdTemp = $itemId;
                    $send = false;
                }

                $r = 0;
                $compatibility = array();
                foreach ($years as $year) {
                    foreach ($record as $rec) {
                        if ($r == 5) {
                            $compatibility[$r] = $year;
                            $r++;
                            continue;
                        }
                        //skip item id
                        if ($r == 8 || $r == $id_num[0]) {
                            continue;
                        }
                        $compatibility[$r] = $record[$r];
                        $r++;
                    }
                    $finalizedArray[] = $compatibility;
                    $r = 0;
                }
            }
            fclose($handle);
        }
        // $this->writeCsvReport($csvFile, $info);
        // return;
        return;

    }

    public function writeCsvReport($file, $info)
    {
        foreach ($info as $data) {
            fputcsv($file, explode(',', $data));
        }
    }


    private function logevent($filename,$my_itemid, $action, $accountid, $event_type = "INFO", $message = "")
    {
        $event = array(
            'my_itemid' => $my_itemid,
            'action' => $action,
            'ebayaccount_id' => $accountid,
            'any_message' => $message,
            'event_type' => $event_type,
            'filename' => $filename
        );

        LogModel::create($event);
    }

    private function getItemCompatibilityMap($filepath)
    {
        $csv = array_map("str_getcsv", file($filepath));
        $header = array_shift($csv);
        $id = array_search("ItemID", $header);
        $year = array_search("Cars Year", $header);
        $make = array_search("Car Make", $header);
        $model = array_search("Model", $header);
        $varient = array_search("Variant", $header);
        $style = array_search("BodyStyle", $header);
        $type = array_search("Cars Type", $header);
        $engine = array_search("Engine", $header);
        $note = array_search("Notes", $header);
        $part = array_search("Part", $header);
        $itemcompatibility_map = array();
        foreach ($csv as $row) {
            $itemids = $row[$id];
            $years = $row[$year];
            $maker = $row[$make];
            $models = $row[$model];
            $vary = $row[$varient];
            $styles = $row[$style];
            $types = $row[$type];
            $engines = $row[$engine];
            $notes = $row[$note];
            $parts = $row[$part];
            $desc = array();
            $car_year = explode("|", $years);

            $compatibilites = array();
            foreach ($car_year as $yr) {
                $yr = trim($yr);
                $compatibility = array();
                $compatibility[] = $maker;
                $compatibility[] = $models;
                $compatibility[] = $vary;
                $compatibility[] = $styles;
                $compatibility[] = $types;
                $compatibility[] = $yr;
                $compatibility[] = $engines;
                $compatibility[] = $notes;
                $compatibilites[] = $compatibility;
            }

            $itemidlist = explode(",", $itemids);
            foreach ($itemidlist as $itemid) {
                $itemid = trim($itemid);
                if (!isset($itemcompatibility_map[$itemid]))
                    $itemcompatibility_map[$itemid] = $compatibilites;
                else {
                    foreach ($compatibilites as $compatibility)
                        array_push($itemcompatibility_map[$itemid], $compatibility);
                }
            }
        }

        return $itemcompatibility_map;
    }

    /////////////////////////////////////////////////////////////////////////

    public function downloadCompatibilityForm()
    {
        return view('compatibility.download_compatibility');
    }

    public function downloadCompatibility(Request $request)
    {
        if ($request->hasFile('itemfiles')) {
            set_time_limit(0);
            $filepath = $request->file('itemfiles')->getRealPath();
            $csv = array_map("str_getcsv", file($filepath));
            $x = 0;
            $lastID = 0;

            $lists = [
                0 => [array('UKM_Make', 'UKM_Model', 'UKM_CCM', 'UKM_Submodel', 'Year', 'Vehicle Type', 'Notes', 'ItemID')],
                1 => [array('Car Make', 'Model', 'Variant', 'BodyStyle', 'Cars Type', 'Cars Year', 'Engine', 'Notes', 'ItemID')]
            ];
            foreach ($csv as $items) {
                if ($x == 0) {
                    $x++;
                    continue;
                }
                $itemid = trim($items[0]);

                if (!is_numeric($itemid)) {
                    continue;
                }
                if ($itemid == $lastID) {
                    continue;
                }
                //$itemid = "233929480620";
                $accountid = Session::get('ebayaccountid');
                $account = Ebayaccount::find($accountid);
                $masterconfig = Masterconfig::where('config_key', 'EBAY_COMPATIBILITY_LEVEL')->first();

                $compatibilitylevel = $masterconfig->config_value;
                // $compatibilitylevel = DB::table('masterconfig')->where('config_key', 'EBAY_COMPATIBILITY_LEVEL')->pluck('config_value');
                $helper = new ebayHelper($account->user_token, $account->currency);
                $verb = "GetItem";
                $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                $response = $helper->getCompatibleItemRequestXML($itemid);
                $responseXml = $session->sendHttpRequest($response);

                $xml = simplexml_load_string($responseXml);

                $err = $xml->Ack;

                if ($err == 'Failure') {
                } else {
                    if (isset($xml->Item->ItemCompatibilityList->Compatibility)) {
                        $list = [];

                        for ($i = 0; $i < count($xml->Item->ItemCompatibilityList->Compatibility); $i++) {
                            $compatibility_list = $xml->Item->ItemCompatibilityList->Compatibility[$i];
                            if ($xml->Item->ItemCompatibilityList->Compatibility[$i]->NameValueList[3]->Name == "UKM_CCM") {

                                $list[0] = (string)$compatibility_list->NameValueList[1]->Value;
                                $list[1] = (string)$compatibility_list->NameValueList[2]->Value;
                                $list[2] = (string)$compatibility_list->NameValueList[3]->Value;
                                $list[3] = (string)$compatibility_list->NameValueList[4]->Value;
                                $list[4] = (string)$compatibility_list->NameValueList[5]->Value;
                                if (isset($compatibility_list->NameValueList[6])) {
                                    $list[5] = (string)$compatibility_list->NameValueList[6]->Value;
                                } else {
                                    $list[5] = '';
                                }
                                $notes = "";
                                if (isset($compatibility_list->CompatibilityNotes)) {
                                    $notes = (string)$compatibility_list->CompatibilityNotes;
                                }

                                $list[6] = $notes;
                                $list[7] = $itemid;

                                $lists[0][] = $list;
                            } else {
                                $list[0] = (string) $compatibility_list->NameValueList[1]->Value;

                                $list[1] = (string) $compatibility_list->NameValueList[2]->Value;

                                $list[2] = (string) $compatibility_list->NameValueList[4]->Value;

                                $list[3] = (string) $compatibility_list->NameValueList[5]->Value;

                                $list[4] = (string) $compatibility_list->NameValueList[6]->Value;

                                $list[5] = (string) $compatibility_list->NameValueList[3]->Value;

                                $list[6] = (string) $compatibility_list->NameValueList[7]->Value;

                                $notes = "";
                                if (isset($xml->Item->ItemCompatibilityList->CompatibilityNotes)) {
                                    $notes = (string)$xml->Item->ItemCompatibilityList->CompatibilityNotes;
                                }
                                $list[7] = $notes;
                                $list[8] = $itemid;

                                $lists[1][] = $list;
                            }
                        }
                        //Car Make	Model	Variant	BodyStyle	Cars Type	Cars Year	Engine	Notes	ItemID

                    }
                }
                $lastID = $itemid;
            }
            // print_r($lists);die;
            $this->downloadcsv($lists);
        }
    }


    public function downloadcsv($values)
    {
        for ($i = 0; $i < count($values); $i++) {
            if (count($values[$i]) > 1) {
                ob_clean();
                ob_start();
                $delimiter = ",";
                if ($i == 0) {
                    $sub_name = 'MotorBike';
                } else {
                    $sub_name = 'Cars';
                }

                $file_name = 'Compatibility(' . $sub_name . ').csv';
                header('Content-Type: text/csv');
                header('Content-Disposition: attachment; filename="' . $file_name . '";');
                header('Pragma: no-cache');
                header('Expires: 0');
                $fp = fopen('php://memory', 'w');

                foreach ($values[$i] as $value) {
                    $fileds = $value;
                    fputcsv($fp, $fileds, $delimiter);
                }
                fseek($fp, 0);

                fpassthru($fp);
            }
        }
	return view('compatibility.download_compatibility')->with('error','records empty!');
    }
}
