<?php

namespace App\Http\Controllers;
use Session;
use App\Models\Ebayaccount;
use App\Models\Masterconfig;
use App\Models\LogModel;
use App\Helpers\ebayHelper;
use App\Helpers\eBaySession;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
class RecommendedretailpriceController extends Controller
{
    public function recommendedretailrriceview()
    {
        return view('recommendedretailprice.recommendedretailprice_uploader');
    }

    public function reviserrpriceebay(Request $request)
    {
        //$itemid = Input::get('getid');
        //$postid = Input::get('postid');
        if ($request->hasFile('itemfiles')) {
            set_time_limit(0);
            $filepath = $request->file('itemfiles')->getRealPath();
            $csv = array_map("str_getcsv", file($filepath));

            $x = 0;


            foreach ($csv as $items) {
                if ($x == 0) {
                    $x++;
                    continue;
                }

                 $itemid = $items[0];
                $RRP_price = $items[1];


                if( $itemid == '' || empty($itemid)){
                    return view('recommendedretailprice.recommendedretailprice_uploader');
                }


                $accountid = Session::get('ebayaccountid');
                $account = Ebayaccount::find($accountid);
                $masterconfig =Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->first();

                    $compatibilitylevel = $masterconfig->config_value;

                $helper = new ebayHelper($account->user_token, $account->currency);

                $reviseRequestXML = $helper->revise_RRP_priceRequest($itemid, $RRP_price);

                $verb = "ReviseItem";
                $session = new eBaySession($account->user_token, $account->dev_id, $account->app_id, $account->cert_id, $account->service_url, $compatibilitylevel, $account->siteid, $verb);
                $responseXml = $session->sendHttpRequest($reviseRequestXML);

                $xml = simplexml_load_string($responseXml);

                if ($xml->Ack == 'Success') {

                    $this->logevent($itemid, "Recommended Retail Price revised successfully.", $accountid);
                } elseif ($xml->Ack == 'Warning') {
                    $message = $xml->Errors->LongMessage;

                    $this->logevent($itemid, "Recommended Retail Price revised successfully,", $accountid, "WARNING", $message);
                } else {

                    $message = $xml->Errors->LongMessage;

                    $this->logevent($itemid, "skipped", $accountid, "ERROR", $message);
                }

                //die($message);

                $x++;
            }
        }

        return view('recommendedretailprice.recommendedretailprice_uploader');
   }
   private function logevent($my_itemid, $action, $accountid, $event_type = "INFO", $message = "")
    {
        $event = array(
            'my_itemid' => $my_itemid,
            'action' => $action,
            'ebayaccount_id' => $accountid,
            'any_message' => $message,
            'event_type' => $event_type
        );

        LogModel::create($event);
    }
}
