<?php

namespace App\Http\Controllers;
use App\Models\Task;
use Illuminate\Http\Request;
use Session;
use Illuminate\Support\Facades\DB;

class UploadTaskController extends Controller
{
    //
    public function viewTasks() {

        $tasks = Task::where("files_uploaded", 1)->orderBy('id','desc')->get();


        return view('compatibility.tasks', compact('tasks'));
 }


    public function createTaskForm() {
        $label='Create Task';
        return view('compatibility.create_task', compact("label"));
    }

    public function createTask(Request $request) {

        //dd($request);
        $task_name = $request->task_name;
		$task_name =str_replace("+","","$task_name");
        $task_name =str_replace("-","","$task_name");
        $select_job=$request->select_job;
        // $task_name=str_replace(' ','_',$task_name);

        $directory = $task_name . "_" . time();
         $accountid = session()->get('ebayaccountid');

        Task::insert(array("name" => $task_name,"job_type"=>$select_job, "ebay_account_id" =>$accountid, "directory" => $directory, "status" => 1, "files_uploaded" => 0));

        return view('compatibility.upload', compact('task_name','directory'));
 }

 public function UploadFile(Request $request) {
        $filesArray = $request->file('compatibilityfile');
        $destinationPath = 'uploads/csv/' . $request->directory . '/'; // upload path
        $task = Task::where("directory", $request->directory)->first();
        $i = 0;



        foreach ($filesArray as $file) {
            if ($file && $file->isValid()) {
                $extension = $file->getClientOriginalExtension(); // getting file extension
                $fileName = "compatibility_file_$i" . '.' . $extension; // renameing image
                $file->move($destinationPath, $fileName); // uploading file to given path
                // sending back with message
                Session::flash('success', 'Uploaded successfully.');


                DB::insert("insert into compatibility_files (task_id, file_path, filename, status) values ($task->id, '$destinationPath$fileName', '$fileName', '1')");
                $i++;
            } else {

                // sending back with error message.
                Session::flash('error', 'Uploaded file is not valid.');
                //return Redirect::back();
            }
        }
        $task->files_uploaded = 1;
        $task->save();
        $label='Create Task';
        return view('compatibility.create_task', compact("label"));
    }



    public function deleteTask($id) {
        $task = Task::find($id);

        if ($task->status != 2) {
            // echo "<pre>";
            // print_r($task);
            $dir_path = "uploads/csv/$task->directory";
            if (is_dir($dir_path)) {
                $files = glob("$dir_path/*"); // get all file names
                foreach ($files as $file) {
                    if (is_file($file))
                        unlink($file); // delete file
                }
                rmdir($dir_path);
            }

            if ($task->status == 0) {
                if (is_dir($dir_path)) {
                    $report_dir_path = "csv_reports/$task->directory";
                    $report_files = glob("$report_dir_path/*");
                    foreach ($report_files as $file) {
                        if (is_file($file)) {
                            unlink($file); // delete file
                        }
                    }
                    rmdir($report_dir_path);
                }
            }
            $task->delete();
        }
        //$tasks = Task::where("files_uploaded", 1)->get();
		$tasks = Task::where("files_uploaded", 1)->orderBy('id','desc')->get();
        return view('compatibility.tasks', compact('tasks'));
    }

    public function stopTask($id) {
        $task = Task::find($id);
        $task->terminated_by_user = 1;
        $task->status = 0;
        $task->save();
        return redirect();
        // return Redirect::back();
    }





    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create() {
//
    }

    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function store() {
//
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id) {
//
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id) {
//
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function update($id) {
//
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id) {
//
    }
}
