<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Courier extends BaseModel
{
    use HasFactory;

    protected $table = 'couriers';

    protected $fillable = ['code','name'];

    public function courierServices()
    {
        return $this->hasMany(CourierService::class, 'courier_id', 'id');
    }

    public static function getWithCourierServices($courierId)
    {
        return self::where('id', $courierId)
            ->with('courierServices')
            ->first();
    }
}
