<?php
namespace App\Helpers;
class ebayHelper
{

    private $token = "";
    private $currency = "";

    public function __construct($token, $currency)
    {
      $this->token = $token;
      $this->currency = $currency;
    }

    public function getItemhtmlRequestXML($itemid)
    {
      //Build the request Xml string
      $requestXmlBody = "<?xml version=\"1.0\" encoding=\"utf-8\"?>";
      $requestXmlBody .= "<GetItemRequest xmlns=\"urn:ebay:apis:eBLBaseComponents\">";
      $requestXmlBody .= "<DetailLevel>ReturnAll</DetailLevel>";
      $requestXmlBody .= "<ItemID>$itemid</ItemID>";
      $requestXmlBody .= "<RequesterCredentials>";
      $requestXmlBody .= "<eBayAuthToken>$this->token</eBayAuthToken>";
      $requestXmlBody .= "</RequesterCredentials>";
      $requestXmlBody .= "<WarningLevel>High</WarningLevel>";
      $requestXmlBody .= "<IncludeItemSpecifics>true</IncludeItemSpecifics>";
      // $requestXmlBody .= "<IncludeItemCompatibilityList>true</IncludeItemCompatibilityList>";
      $requestXmlBody .= "</GetItemRequest>";

      return $requestXmlBody;
    }


    public function getItemRequestXML($itemid)
    {
      //Build the request Xml string
      $requestXmlBody = "<?xml version=\"1.0\" encoding=\"utf-8\"?>";
      $requestXmlBody .= "<GetItemRequest xmlns=\"urn:ebay:apis:eBLBaseComponents\">";
      $requestXmlBody .= "<DetailLevel>ReturnAll</DetailLevel>";
      $requestXmlBody .= "<ItemID>$itemid</ItemID>";
      $requestXmlBody .= "<RequesterCredentials>";
      $requestXmlBody .= "<eBayAuthToken>$this->token</eBayAuthToken>";
      $requestXmlBody .= "</RequesterCredentials>";
      $requestXmlBody .= "<WarningLevel>High</WarningLevel>";
      $requestXmlBody .= "<IncludeItemSpecifics>true</IncludeItemSpecifics>";
      $requestXmlBody .= "<IncludeItemCompatibilityList>true</IncludeItemCompatibilityList>";
      $requestXmlBody .= "</GetItemRequest>";

      return $requestXmlBody;
    }

    public function getCompatibleItemRequestXML($itemid)
    {
      //Build the request Xml string
      $requestXmlBody = "<?xml version=\"1.0\" encoding=\"utf-8\"?>";
      $requestXmlBody .= "<GetItemRequest xmlns=\"urn:ebay:apis:eBLBaseComponents\">";
      $requestXmlBody .= "<DetailLevel>ReturnAll</DetailLevel>";
      $requestXmlBody .= "<ItemID>$itemid</ItemID>";
      $requestXmlBody .= "<RequesterCredentials>";
      $requestXmlBody .= "<eBayAuthToken>$this->token</eBayAuthToken>";
      $requestXmlBody .= "</RequesterCredentials>";
      $requestXmlBody .= "<WarningLevel>High</WarningLevel>";
      $requestXmlBody .= "<IncludeItemCompatibilityList>true</IncludeItemCompatibilityList>";
      $requestXmlBody .= "<OutputSelector>Item.ItemCompatibilityList</OutputSelector>";
      $requestXmlBody .= "</GetItemRequest>";

      return $requestXmlBody;
    }

    public function reviseCompatibilityRequestXML($itemid, $compatibilitylist = array())
    {

      $requestXmlBody = "<?xml version=\"1.0\" encoding=\"utf-8\"?>
      <ReviseItemRequest xmlns=\"urn:ebay:apis:eBLBaseComponents\">
      <ErrorLanguage>en_US</ErrorLanguage>
      <Item>
      <ItemID>$itemid</ItemID>";
      $requestXmlBody .= "<ItemCompatibilityList>";


      foreach ($compatibilitylist as $compatibility) {
        $make = $compatibility[0];
        $model = $compatibility[1];
        $variant = $compatibility[2];
        $bodystyle = $compatibility[3];
        $cartype = $compatibility[4];
        $year = $compatibility[5];
        $engine = $compatibility[6];
        $notes = $compatibility[7];

        $requestXmlBody .= "<Compatibility>";
        $requestXmlBody .= "<CompatibilityNotes><![CDATA[$notes]]></CompatibilityNotes>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>Car Make</Name>
                                  <Value><![CDATA[" . $make . "]]></Value>
                                </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>Model</Name>
                                  <Value><![CDATA[$model]]></Value>
                                </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>Variant</Name>
                                  <Value><![CDATA[$variant]]></Value>
                                </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>Bodystyle</Name>
                                  <Value><![CDATA[$bodystyle]]></Value>
                                </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>Cars Type</Name>
                                  <Value><![CDATA[$cartype]]></Value>
                                </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>Cars Year</Name>
                                  <Value><![CDATA[$year]]></Value>
                                </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>Engine</Name>
                                  <Value><![CDATA[$engine]]></Value>
                                </NameValueList>";
        $requestXmlBody .= "</Compatibility>";
      }
      $requestXmlBody .= "<ReplaceAll>true</ReplaceAll>";
      $requestXmlBody .= "</ItemCompatibilityList>";


      $requestXmlBody .= "</Item>
      <RequesterCredentials>
      <eBayAuthToken>$this->token</eBayAuthToken>
      </RequesterCredentials>
      <WarningLevel>High</WarningLevel>
      </ReviseItemRequest>";

      return $requestXmlBody;
    }

    public function reviseMotocycleCompatibilityRequestXML($itemid, $compatibilitylist = array(), $status = false)
    {

      $requestXmlBody = "<?xml version=\"1.0\" encoding=\"utf-8\"?>
        <ReviseItemRequest xmlns=\"urn:ebay:apis:eBLBaseComponents\">
        <ErrorLanguage>en_US</ErrorLanguage>
        <Item>
       <ItemID>$itemid</ItemID>";
      $requestXmlBody .= "<ItemCompatibilityList>";

      foreach ($compatibilitylist as $compatibility) {
        if ($status) {
          $make = $compatibility[0];
          $model = $compatibility[1];
          $ccm = $compatibility[2];
          $submodel = $compatibility[3];
          $streetName = $compatibility[4];
          $year = $compatibility[5];
          $Vehicle_Type = $compatibility[6];
          $notes = $compatibility[7];

        } else {
          $make = $compatibility[0];
          $model = $compatibility[1];
          $ccm = $compatibility[2];
          $submodel = $compatibility[3];
          $year = $compatibility[4];
          $streetName = $compatibility[5];
          $notes = $compatibility[6];
        }
        $requestXmlBody .= "<Compatibility>";
        $requestXmlBody .= "<CompatibilityNotes><![CDATA[$notes]]></CompatibilityNotes>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>UKM_Make</Name>
                                  <Value><![CDATA[" . $make . "]]></Value>
                            </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>UKM_Model</Name>
                                  <Value><![CDATA[$model]]></Value>
                            </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>UKM_CCM</Name>
                                  <Value><![CDATA[$ccm]]></Value>
                            </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>UKM_Submodel</Name>
                                  <Value><![CDATA[$submodel]]></Value>
                            </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>Year</Name>
                                  <Value><![CDATA[$year]]></Value>
                            </NameValueList>";
        $requestXmlBody .= "<NameValueList>
                                  <Name>UKM_StreetName</Name>
                                  <Value><![CDATA[$streetName]]></Value>
                            </NameValueList>";
        $requestXmlBody .= "</Compatibility>";
      }
      $requestXmlBody .= "<ReplaceAll>true</ReplaceAll>";
      $requestXmlBody .= "</ItemCompatibilityList>";


      $requestXmlBody .= "</Item>
      <RequesterCredentials>
      <eBayAuthToken>$this->token</eBayAuthToken>
      </RequesterCredentials>
      <WarningLevel>High</WarningLevel>
      </ReviseItemRequest>";

      return $requestXmlBody;
    }

    public function revise_RRP_priceRequest($itemid, $RRP_price)
    {

      $requestXmlBody = "<?xml version=\"1.0\" encoding=\"utf-8\"?>
        <ReviseItemRequest xmlns=\"urn:ebay:apis:eBLBaseComponents\">
          <RequesterCredentials>
            <eBayAuthToken>$this->token</eBayAuthToken>
          </RequesterCredentials>
          <ErrorLanguage>en_US</ErrorLanguage>
          <WarningLevel>High</WarningLevel>
          <Item>
               <ItemID>$itemid</ItemID>
               <DiscountPriceInfo>
                   <OriginalRetailPrice currencyID=\"GBP\">$RRP_price</OriginalRetailPrice>
                   <SoldOffeBay>false</SoldOffeBay>
                   <SoldOneBay>false</SoldOneBay>
               </DiscountPriceInfo>
          </Item>
        </ReviseItemRequest>";

      return $requestXmlBody;
    }

    public function uploadSiteHostedPictures($externalpictureURL)
    {


      $requestXmlBody = "<?xml version=\"1.0\" encoding=\"utf-8\"?>
      <UploadSiteHostedPicturesRequest xmlns=\"urn:ebay:apis:eBLBaseComponents\">
          <ExternalPictureURL>$externalpictureURL</ExternalPictureURL>
      <RequesterCredentials>
          <eBayAuthToken>$this->token</eBayAuthToken>
      </RequesterCredentials>
          <ErrorLanguage>en_US</ErrorLanguage>
          <WarningLevel>High</WarningLevel>
      </UploadSiteHostedPicturesRequest>";

      return $requestXmlBody;
    }
    public function revisePictureDetailsRequestXML($itemid, $PictureURL)
    {
      $requestXmlBody = "<?xml version=\"1.0\" encoding=\"utf-8\"?>
        <ReviseItemRequest xmlns=\"urn:ebay:apis:eBLBaseComponents\">
          <RequesterCredentials>
            <eBayAuthToken>$this->token</eBayAuthToken>
          </RequesterCredentials>
          <ErrorLanguage>en_US</ErrorLanguage>
          <WarningLevel>High</WarningLevel>
          <Item>
              <ItemID>$itemid</ItemID>
              <PictureDetails>
                <GalleryType>Gallery</GalleryType>
                <PhotoDisplay>PicturePack</PhotoDisplay>
                  $PictureURL
              </PictureDetails>
          </Item>
        </ReviseItemRequest>";

      return $requestXmlBody;
    }
  }
