$(document).on('click', 'a[id=add-service]',async function () {
    let options = '';
    try{
        let countries = await doAjaxPost(baseURL + '/admin/billing/countries-currency', 'GET');
        
        $.each(countries, function (k, v) {
            var currency_symbol =  v.currency_symbol != v.currency_code ? '('+v.currency_symbol+')' : '';
            var currency_symbol =  v.currency_symbol != v.currency_code ? '('+v.currency_symbol+')' : '';

            var selected = v.currency_code == "GBP" ? 'selected' : '';
            options += `<option value="`+ v.currency_code +`" 
                `+ selected +`>
                `+ v.currency_code +`
                `+ currency_symbol +`
            </option>`;
        });
    } catch (err) {
        console.log(err);
        options += `<option> Something went wrong </option>`;
    }

    $('.courier-service-table').show();
    $('tbody[id=services]').append(`
        <tr>
            <td><input type="text" class="form-control" name="service_code[]"
                    style="width:100%" placeholder="Service Code" autocomplete="off" required>
            </td>
            <td>
                <input type="text" class="form-control" name="service_name[]"
                    style="width:100%" placeholder="Service Name" autocomplete="off" required>
            </td>
            <td>
            <select name="courier_service_currency_code[]"
                    class="form-control select-dynamic search" required>
                    `+ options +`
                </select>
            </td>
            <td>
                <a href="javascript:;" class="btn btn-outline-danger remove-service">
                    <i class="anticon anticon-delete"></i>
                </a>
            </td>
        </tr>`);
    var $courierSelect = $('.search');
    $courierSelect.chosen();
});

$(document).on('click', 'a.remove-service', function (e) {
    e.preventDefault();
    $(this).closest('tr').remove();
});

var selectedCourierId = '';
$(document).on('click', '.courier', async function () {
    let courierId = $(this).attr('data-id');
    selectedCourierId = courierId;
    $('#couriers-card').find('.badge-primary')
        .removeClass('badge-primary')
        .addClass('badge-default');
    $(this).removeClass('badge-default').addClass('badge-primary');
    drawCourierServiceTable(courierId);
});

$(document).on('submit', '#add-courier-form', async function (e) {
    e.preventDefault();
    let message_area = $(this).closest('form').find('#message-area');
    let btn = $(this).find('button[type=submit]');
    message_area.html('');
    try {
        let url = baseURL + '/admin/billing/couriers';
        let response = await doAjaxPost(url, 'POST', $(this).serialize());
        drawCourierTable();
        notify(response.message, response.result);
        resetButton(btn, 'Save');
    } catch (err) {
        let message = showMsg(err, '', 'danger');
        message_area.html(message);
        resetButton(btn, 'Save');
    }
});

$(document).on('submit', '#edit-courier-form', async function (e) {
    e.preventDefault();
    let courierId = $(this).find('input[name=courier_id]').val();
    let message_area = $(this).closest('form').find('#message-area');
    let btn = $(this).find('button[type=submit]');
    message_area.html('');
    try {
        let url = baseURL + '/admin/billing/couriers/' + courierId;
        let response = await doAjaxPost(url, 'PUT', $(this).serialize());
        drawCourierTable();
        notify(response.message, response.result);
        resetButton(btn, 'Save');
    } catch (err) {
        let message = showMsg(err, '', 'danger');
        message_area.html(message);
        resetButton(btn, 'Save');
    }
});

$(document).on('submit', '#delete-courier-form', async function (e) {
    e.preventDefault();
    let courierId = $(this).attr('data-id');
    if (selectedCourierId == courierId) {
        $('#courier-services-card .card-body #courier-services-content').hide();
    }
    let message_area = $(this).closest('form').find('#message-area');
    let btn = $(this).find('button[type=submit]');
    message_area.html('');
    try {
        let url = $(this).attr('action');
        let response = await doAjaxPost(url, 'DELETE', $(this).serialize());
        drawCourierTable();
        notify(response.message, response.result);
        resetButton(btn, 'Save');
        $(this).closest("body").find(".close").click();
    } catch (err) {
        let message = showMsg(err, '', 'danger');
        message_area.html(message);
        resetButton(btn, 'Save');
    }
});

$(document).on('submit', '#add-courier-service-form', async function (e) {
    e.preventDefault();
    let courierId = $(this).find('input[name=courier_id]').val();
    let message_area = $(this).closest('form').find('#message-area');
    let btn = $(this).find('button[type=submit]');
    message_area.html('');
    try {
        let url = baseURL + '/admin/billing/courier-services';
        let response = await doAjaxPost(url, 'POST', $(this).serialize());
        drawCourierServiceTable(courierId);
        notify(response.message, response.result);
        resetButton(btn, 'Save');
    } catch (err) {
        let message = showMsg(err, '', 'danger');
        message_area.html(message);
        resetButton(btn, 'Save');
    }
});

$(document).on('submit', '#edit-courier-service-form', async function (e) {
    e.preventDefault();
    let courierId = $(this).find('input[name=courier_id]').val();
    let courierServiceId = $(this).find('input[name=courier_service_id]').val();
    let message_area = $(this).closest('form').find('#message-area');
    let btn = $(this).find('button[type=submit]');
    message_area.html('');
    try {
        let url = baseURL + '/admin/billing/courier-services/' + courierServiceId;
        let response = await doAjaxPost(url, 'PUT', $(this).serialize());
        drawCourierServiceTable(courierId);
        notify(response.message, response.result);
        resetButton(btn, 'Save');
    } catch (err) {
        let message = showMsg(err, '', 'danger');
        message_area.html(message);
        resetButton(btn, 'Save');
    }
});

$(document).on('submit', '#delete-courier-service-form', async function (e) {
    e.preventDefault();
    let courierId = $(this).attr('data-id');
    let message_area = $(this).closest('form').find('#message-area');
    let btn = $(this).find('button[type=submit]');
    message_area.html('');
    try {
        let url = $(this).attr('action');
        let response = await doAjaxPost(url, 'DELETE', $(this).serialize());
        drawCourierServiceTable(courierId);
        notify(response.message, response.result);
        resetButton(btn, 'Save');
        $(this).closest("body").find(".close").click();
    } catch (err) {
        let message = showMsg(err, '', 'danger');
        message_area.html(message);
        resetButton(btn, 'Save');
    }
});

let drawCourierTable = async () => {
    let couriers = await doAjaxPost(baseURL + '/admin/billing/couriers/list', 'GET');
    $('#couriers-card #couriers-list').html('');
    $.each(couriers, function (k, v) {
        let url = baseURL + '/admin/billing/couriers/' + v.id;
        let badge = 'grey';
        if (selectedCourierId == v.id) {
            badge = 'success';
        }
        $('#couriers-card #couriers-list').append(`<div class="col mb-1">
                                        <a href="javascript:;" class="badge badge-` + badge + ` courier"
                                           data-id="` + v.id + `">
                                            ` + v.code + ` - ` + v.name + `
                                        </a>
                                        <a href="javascript:;" class="badge badge-info load-modal"
                                           data-url="` + url + `/edit">Edit</a>
                                        <a href="javascript:void(0)" class="badge badge-danger delete custom-modal" data-table="customer-table" title="Delete"
                                            data-title="Delete Courier" data-url="` + url + `"
                                            data-msg="Are you sure want to delete?" data-method="delete"
                                            data-action-btn="Delete" data-loading-text="Deleting..."
                                            data-action="` + url + `"
                                            data-form-id="delete-courier-form"
                                            data-id="` + v.id + `">
                                             Delete
                                        </a>
                                    </div>`);
    });
}

let drawCourierServiceTable = async (courierId) => {
    $('#courier-services-card').show();
    $('#courier-services-card .card-body #courier-services-content').hide();
    $('#courier-services-card #loader').addClass('lds-ellipsis');
    let response = await doAjaxPost(baseURL + '/admin/billing/couriers/' + courierId + '/courier-services', 'GET');
    $('#courier-services-card #loader').removeClass('lds-ellipsis');
    $('#courier-services-card .card-body #courier-services-content').show();
    let createCourierServiceURL = baseURL + '/admin/billing/courier-services/create?courier_id=' + courierId;
    $('#courier-services-card .card-header #service-name-title').html(
        `<h5 id="service-name" class="card-title">Service For ` + response.name + `</h5>
                <div class="card-toolbar">
                    <a class="btn btn-outline-primary btn-sm load-modal" href="javascript:;"
                       data-url="` + createCourierServiceURL + `"><i class="anticon anticon-plus"></i> &nbsp;Add
                    </a>
                </div>`);


    let courierServiceRows = await constructCourierServiceTableRows(response.courier_services);
    $('#courier-services-table tbody').html(courierServiceRows);
}

let constructCourierServiceTableRows = (courierServices) => {
    let courierServicesCount = courierServices.length;
    if (courierServicesCount == 0) {
        return '';
    }

    let courierServiceRows = '';
    let rows = 0;
    return new Promise(function (resolve, reject) {
        $.each(courierServices, function (k, v) {
            let url = baseURL + '/admin/billing/courier-services/' + v.id
            rows++;
            courierServiceRows += `<tr>` +
                `<td style="width:10%">` + v.id + `</td>` +
                `<td style="width:30%">` + v.code + `</td>` +
                `<td style="width:30%">` + v.name + `</td>` +
                `<td style="width:10%">` + v.currency_code + `</td>` +
                `<td class="text-right">` +
                `<a href="javascript:;" class="badge-button badge badge-default  load-modal" data-url="` + url + `/edit">Edit</a>
                <a href="javascript:void(0)" class="badge-button badge  badge-outline-danger delete custom-modal"
                   data-table="courier-services-table" title="Delete"
                   data-title="Delete Courier Service"
                   data-url="` + url + `"
                   data-msg="Are you sure want to delete?" data-method="delete"
                   data-action-btn="Delete" data-loading-text="Deleting..."
                   data-form-id="delete-courier-service-form"
                   data-id="` + v.id + `"
                   data-action="` + url + `">
                    Delete
                </a>
            </td>`;
            if (rows == courierServicesCount) {
                resolve(courierServiceRows);
            }
        });
    })
}


