// theme settings

(function () {
    var darkSwitch = document.getElementById("side-nav-theme-toogle");
    if (darkSwitch) {
        initTheme();
        darkSwitch.addEventListener("change", function (event) {
            resetTheme();
        });

        function initTheme() {
            var darkThemeSelected =
                localStorage.getItem("darkSwitch") !== null &&
                localStorage.getItem("darkSwitch") === "dark";
            darkSwitch.checked = darkThemeSelected;
            if (darkThemeSelected) {
                $(document).find('.layout').addClass('is-side-nav-dark');
                $(document).find('.app').addClass('is-dark');
            } else {
                $(document).find('.layout').removeClass('is-side-nav-dark');
                $(document).find('.app').removeClass('is-dark');
            }
        }

        function resetTheme() {
            if (darkSwitch.checked) {
                $(document).find('.layout').addClass('is-side-nav-dark');
                $(document).find('.app').addClass('is-dark');
                localStorage.setItem("darkSwitch", "dark");
            } else {
                $(document).find('.layout').removeClass('is-side-nav-dark');
                $(document).find('.app').removeClass('is-dark');
                localStorage.removeItem("darkSwitch");
            }
        }
    }
})();

(function () {
    var foldSwitch = document.getElementById("side-nav-fold-toogle");
    if (foldSwitch) {
        initFold();
        foldSwitch.addEventListener("change", function (event) {
            resetFold();
        });

        function initFold() {
            var isFolded =
                localStorage.getItem("foldSwitch") !== null &&
                localStorage.getItem("foldSwitch") === "true";
            foldSwitch.checked = isFolded;
            if (isFolded) {
                $(document).find('.layout').addClass('is-folded');
            } else {
                $(document).find('.layout').removeClass('is-folded');
            }
        }

        function resetFold() {
            if (foldSwitch.checked) {
                $(document).find('.layout').addClass('is-folded');
                localStorage.setItem("foldSwitch", "true");
            } else {
                $(document).find('.layout').removeClass('is-folded');
                localStorage.removeItem("foldSwitch");
            }
        }
    }
})();

$(document).on('click', '#filter_toggle', function (e) {
    e.preventDefault();
    $('.filters').slideToggle();
})

function searchOnColumn(btn) {
    const target = $('#' + $(btn).data('target'));
    target.find('.filter-input').show();
    $(btn).hide();
}

$(document).on('keyup', '.filter-input', function (e) {
    e.preventDefault();
    const filter_tg = $('#' + $(this).find('input').data('target'));

    filter_tg.val($(this).find('input').val());
    filter_tg.trigger('change');
})

$(document).on('change', '.filter-input', function (e) {
    e.preventDefault();
    const filter_tg = $('#' + $(this).find('input').data('target'));

    filter_tg.val($(this).find('input').val());
    filter_tg.trigger('change');
})

$(document).on('click', '.delete_search_term', function (e) {
    e.preventDefault;
    $(this).parent().fadeOut();
    $(this).parent().find('input').val('')
    $('#' + $(this).data('target')).find('input').val('').trigger('change');

    target_btn = $('#' + $(this).data('target')).find('.btn-filter-toggle');
    target_btn.fadeIn();
})

$(document).on("click", ".custom-modal", function (e) {
    e.preventDefault();
    let dataTable = $(this).attr('data-table');

    $('#custom-modal .modal-title').html($(this).attr('data-title'));
    $('#custom-modal .modal-msg').text($(this).attr('data-msg'));

    $('#custom-modal .modal-alert').html();
    if($(this).attr('data-alert-danger')){

        var dangerMsg =  $(this).attr('data-alert-danger');
        var danger = `<div class="mt-3 alert alert-danger fade show" role="alert">`+ dangerMsg +`</div> `;
        $('#custom-modal .modal-alert').html(danger);
    }
 

    let form = $('#custom-modal form');
    form.attr('method', $(this).attr('data-method'));
    let url = $(this).attr('data-url');
    form.attr('action', url);
    form.attr('data-table', dataTable);
    if ($(this).attr('data-form-id')) {
        form.attr('id', $(this).attr('data-form-id'));
    }

    if ($(this).attr('data-id')) {
        form.attr('data-id', $(this).attr('data-id'));
    }

    $('#custom-modal .action-btn').text($(this).attr('data-action-btn'));
    $('#custom-modal .action-btn').attr('data-loading-text', $(this).attr('data-loading-tex'));

    let modal = new bootstrap.Modal(document.getElementById('custom-modal'));
    modal.show();
});

$('.chosen').chosen();
