<div class="modal-dialog modal-lg">
    <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title">Add Service For {{ $courier->name }}</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="add-courier-service-form" method="POST">
            <div class="modal-body ">
                @csrf
                <input type="hidden" name="courier_id" value="{{ $courier->id }}" />
                <div class="courier-service-table">
                    <table class="table table-borderless row-appendable mb-0">
                        <thead>
                            <tr>
                                <th>Service Code</th>
                                <th>Service Name</th>
                                <th>Service Currency</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody id="services">
                            <tr>
                                <td><input type="text" class="form-control" name="service_code[]" style="width:100%"
                                        placeholder="Service Code" autocomplete="off" required>
                                </td>
                                <td>
                                    <input type="text" class="form-control" name="service_name[]" style="width:100%"
                                        placeholder="Service Name" autocomplete="off" required>
                                </td>
                                <td>
                                    <select name="courier_service_currency_code[]"
                                        class="form-control select-dynamic search" required>
                                        @foreach ($countries as $country)
                                            <option value="{{ $country->currency_code }}" {{ $country->currency_code == "GBP" ? 'selected':''}} >{{ $country->currency_code }} @if( $country->currency_symbol != $country->currency_code) ({{ $country->currency_symbol }}) @endif</option>
                                        @endforeach
                                      
                                    </select>
                                </td>
                                <td>
                                    <a href="javascript:;" class="btn btn-outline-danger remove-service">
                                        <i class="anticon anticon-delete"></i>
                                    </a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <hr class="mt-1">
                </div>
                <div class="row mt-2">
                    <div class="col-md-12">
                        <div class="text-right">
                            <a href="javascript:;" class="btn btn-outline-primary" id="add-service">Add Service</a>
                        </div>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-md-12">
                        <div id="message-area"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default m-r-10" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-success" data-loading-text="Saving...">Save</button>
            </div>
        </form>
    </div>
</div>
<script>
    $('.search').chosen();
</script>