<div class="modal-dialog">
    <div class="modal-content container">
        <div class="modal-header px-0">
            <h4 class="modal-title">Edit Courier Service</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="edit-courier-service-form" method="PUT"
            action="{{ route('courier-services.update', $courier_service->id) }}">
            <div class="modal-body px-0">
                @csrf
                <input type="hidden" name="courier_id" value="{{ $courier->id }}" />
                <input type="hidden" name="courier_service_id" value="{{ $courier_service->id }}" />
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label class="form-label">Code</label>
                        <input type="text" class="form-control" name="courier_service_code"
                            placeholder="Courier Service Code" value="{{ $courier_service->code }}" autocomplete="off"
                            required>
                    </div>
                    <div class="form-group col-md-12">
                        <label class="form-label">Name</label>
                        <input type="text" class="form-control" name="courier_service_name"
                            placeholder="Courier Service Name" value="{{ $courier_service->name }}" autocomplete="off"
                            required>
                    </div>
                    <div class="form-group col-md-12">
                        <label class="form-label">Currency</label>
                        <select name="courier_service_currency_code" class="form-control select-dynamic search"
                            required>
                            @foreach ($countries as $country)
                                <option value="{{ $country->currency_code }}"
                                    {{ $country->currency_code == $courier_service->currency_code ? 'selected' : '' }}>
                                    {{ $country->currency_code }} @if ($country->currency_symbol != $country->currency_code)
                                        ({{ $country->currency_symbol }})
                                    @endif
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-md-12">
                        <div id="message-area"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default m-r-10" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary" data-loading-text="Saving...">Save</button>
            </div>
        </form>
    </div>
</div>
<script>
    $('.search').chosen();
</script>
