@extends('layouts.app')
@section('page-title', 'Service')

@section('page-header')
    <div class="row">
        <div class="col-6">
            <h4 class="header-title">Couriers</h4>
        </div>
        <div class="col-6">
            {{-- <div class="action-section">
                <a class="btn btn-success load-modal" href="javascript:void(0)" data-url="{{ route('customers.create') }}">
                    <i class="anticon anticon-plus"></i> Add Customer
                </a>
            </div> --}}
        </div>
    </div>
@endsection
@section('breadcrumb')
    <div class="header-sub-title">
        <nav class="breadcrumb breadcrumb-dash">
            <a href="{{ route('home') }}" class="breadcrumb-item">Dashboard</a>
            <a href="javascript:;" class="breadcrumb-item">Couriers</a>
        </nav>
    </div>
@endsection

@section('body')
    <div class="row">
        <div class="col-md-5">
            <div class="card" id="couriers-card">
                <div class="card-header">
                    <div class="d-flex align-items-center justify-content-between">
                        <h5 class="card-title">Couriers</h5>
                        <div class="card-toolbar">
                            <a class="btn btn-outline-primary btn-sm load-modal" href="javascript:;"
                                data-url="{{ route('couriers.create') }}"><i class="anticon anticon-plus"></i> &nbsp;Add
                            </a>
                        </div>
                    </div>
                </div>
                <div class="card-body grid-card spacious">
                    <table class="table table-borderless">
                        <thead>
                            <tr>
                                <th style="width: 50%">Courier Name</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($couriers as $courier)
                                <tr>
                                    <td style="width: 50%">
                                        {{ $courier->name }}
                                    </td>
                                    <td>
                                        <a href="javascript:;" class="badge-button badge badge-default courier"
                                            data-id="{{ $courier->id }}">
                                            View
                                        </a>
                                        <a href="javascript:;" class="badge-button badge badge-default load-modal"
                                            data-url="{{ route('couriers.edit', $courier->id) }}">Edit</a>
                                        <a href="javascript:;" class="badge-button badge badge-outline-danger"
                                            data-table="couriers-table" title="Delete" data-title="Delete Courier"
                                            data-url="{{ route('couriers.destroy', ['courier' => $courier->id]) }}"
                                            data-msg="Are you sure want to delete?" data-method="delete"
                                            data-action-btn="Delete" data-loading-text="Deleting..."
                                            data-form-id="delete-courier-form" data-id="{{ $courier->id }}"
                                            data-action="{{ route('couriers.destroy', $courier->id) }}">Delete</a>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-md-7">
            <div class="card" id="courier-services-card" style="display: none;">
                <div class="card-header">
                    <div class="d-flex align-items-center justify-content-between" id="service-name-title"></div>
                </div>
                <div class="card-body grid-card spacious">
                    <div class="w-100 text-center">
                        <div class="lds-ellipsis" id="loader">
                            <div></div>
                            <div></div>
                            <div></div>
                            <div></div>
                        </div>
                    </div>
                    <div id="courier-services-content" style="display: none">
                        <table id="courier-services-table" class="table">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Code</th>
                                    <th>Name</th>
                                    <th>Currency</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('js')
    <script src="{{ asset('js/couriers.js?v-1') }}"></script>
@endpush
