@extends('layouts.app')
@section('page-title', 'Service')

@section('body')
    <div class="col-6 card mx-auto">
        <div class="card-body">
            <div class="d-flex align-items-center justify-content-between">
                <h4 class="col-12">
                    Customer Service Prices
                    <a class="btn btn-default load-modal action-section" href="{{ route('service-prices.index') }}" >
                       Back
                    </a>
                </h4>
            </div>
            <div class="mt-4">
                <form id="ajax-form" method="PUT">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="">Customer</label>
                                <select name="customer_id" id="customer_id" class="form-control search">
                                    <option value=""></option>
                                    @foreach($customers as $customer)
                                        <option value="{{$customer->id}}">{{$customer->company_name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="">Service Provider</label>
                                <select name="courier_id" id="courier-id" class="form-control {{ $courier_service_id ? '':'search'}}" {{ $courier_service_id ? 'disabled':''}}>
                                    <option value=""></option>
                                    @foreach($couriers as $courier)
                                        <option value="{{$courier->id}}" {{ $courier->id ==  $courier_id ? 'selected' :''}}>{{$courier->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label for="">Service Type</label>
                                <select name="courier_service_id" id="courier-service-id"
                                        class="form-control select-service  {{ $courier_service_id ? '':'search'}}" {{ $courier_service_id ? 'disabled':''}}>
                                        @if($courier_service_id && count((array) $courierServices))
                                            @foreach($courierServices as $courierService)
                                                <option value="{{$courierService->id}}" {{ $courierService->id ==  $courier_service_id ? 'selected' :''}}>{{$courierService->name}}</option>
                                            @endforeach
                                        @endif
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@push('js')
    <script>
        $('.search').chosen();

        $(document).on('change', 'select[name=customer_id]', function () {
            let customerId = $(this).val();
            let courierServiceId = $('select[name=courier_service_id]').val();
            if(customerId && courierServiceId){
                let url = baseURL + '/admin/billing/customer-service-prices/list';
                window.location.href = url + '/' + courierServiceId + '/' + customerId;
            }else if(customerId){
                 $('select[name=courier_id]').attr('disabled', false);
                var $courierSelect = $('select[name=courier_id]');
                $courierSelect.chosen();
                $courierSelect.trigger('chosen:updated');
                $courierSelect.trigger('chosen:open');
            }
        });
        
        $(document).on('change', 'select[name=courier_id]', async function () {
            let courierId = $(this).val();
            let url = baseURL + '/admin/billing/couriers/' + courierId + '/courier-services';
            let response = await doAjaxPost(url, 'GET');
            $('select[name=courier_service_id]').html('').attr('disabled', false);
            $('select[name=courier_service_id]').append(`<option value=""></option>`);

            $.each(response.courier_services, function (k, v) {
                $('select[name=courier_service_id]').append(`<option value="` + v.id + `">` + v.name + `</option>`);
            })

            var $mySelect = $('select[name=courier_service_id]');
            $mySelect.chosen();
            $mySelect.trigger('chosen:updated');
            $mySelect.trigger('chosen:open');
        });

        $(document).on('change', 'select[name=courier_service_id]', function () {
            let url = baseURL + '/admin/billing/customer-service-prices/list';
            let courier_service_id = $(this).val();
            let customer_id = $('select[name=customer_id]').val();
            window.location.href = url + '/' + courier_service_id + '/' + customer_id;
        });
    </script>
@endpush
