@extends('layouts.app')
@section('page-title','Service')

@section('breadcrumb')
<div class="page-header">
    <div class="header-sub-title">
        <nav class="breadcrumb breadcrumb-dash">
            <a href="{{ route('home') }}" class="breadcrumb-item">Dashboard</a>
            <a href="{{ route('service-prices.index') }}" class="breadcrumb-item">Service Prices</a>
            <a href="{{ route('service-prices.list',$courierService->id) }}" class="breadcrumb-item"> {{ $courierService->courier->name }} - {{ $courierService->name }}</a>
            <a href="" class="breadcrumb-item"> Weight Classes</a>
        </nav>
    </div>
</div>
@endsection

@section('body')
<div class="card">
    <div class="card-body">
        <div class="d-flex align-items-center justify-content-between m-b-15">
            <div class="d-flex align-items-center justify-content-between m-b-15">
                <h4>Weight Classes - &nbsp;
                    <small class="badge tag-primary float-right mb-0" style="font-size: 13px;">
                        {{ $courierService->courier->name }} > {{ $courierService->name }}
                    </small>
                </h4>
            </div>
            <div class="card-toolbar">
                <ul>
                    <li>
                        <a class="btn btn-primary load-modal" href="javascript:void(0)" data-url="{{ route('weight-classes.create', $courierService->id ) }}">
                            <i class="anticon anticon-plus"></i> Add Weight Class
                        </a>
                    </li>
                    <li>
                        <a class="btn btn-secondary load-modal" href="javascript:void(0)" data-url="{{ route('auto-fill-weight-classes.create', $courierService->id ) }}">
                            {{-- <i class="anticon anticon-plus"></i> --}}
                             Auto Fill Weight Class
                        </a>
                    </li>

                    <li>
                        <a href="javascript:void(0)" class="btn btn-danger custom-modal" data-table="weight-class-table" title="Delete"
                            data-title="Delete Weight Classes" 
                            data-url="{{route('weight-classes.delete-all',$courierService->id)}}"
                            data-msg="Are you sure want to delete all?" data-method="delete"
                            data-action-btn="Delete All" data-loading-text="Deleting all..."
                            data-alert-danger="Note: This is a destructive operation, It cannot be undone."
                            data-action="{{route('weight-classes.delete-all',$courierService->id)}}">
                            Delete All
                        </a>
                    </li>

                    

                    {{--  --}}
                </ul>
            </div>
        </div>
        <div class="m-t-50">
            <table id="weight-class-table" class="table" data-url="{{ route('weight-classes.list', $courierService->id ) }}">
                <thead>
                    <tr>
                        <th>Weight Class Name</th>
                        <th>Min Weight (kg)</th>
                        <th>Max Weight (kg)</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@push('js')

<script>
    $(document).ready(async function () {
        let columns = [
            {data: 'weight_class_name'},
            {data: 'min_weight'},       
            {data: 'max_weight'},       
            {data: 'actions', sortable: false, searchable: false},
        ];

        let table = await initDataTable($('#weight-class-table'), columns);
    });
</script>
@endpush