<div class="modal-dialog modal-lg ">
    <div class="modal-content container">
        <div class="modal-header">
            <h4 class="modal-title">Edit Zone</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="ajax-form" method="PUT" action="{{ route('zones.update' , $zone->id ) }}"  data-table="zone-table">
            @csrf

            <div class="row mt-4">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="">Zone Name</label>
                        <input type="text" class="form-control" name="zone_name" placeholder="Enter Zone Name"
                            value="{{ $zone->zone_name }}" autocomplete="off" required>
                    </div>
                    <div class="form-group ">
                        <label for="">Country</label>
                        <select name="country[]" id="country" class="form-control select-dynamic chosen-multiple countries" multiple="multiple">
                            @foreach ($countries as $country)
                                <option value="{{ $country->id }}" data-iso="{{ $country->iso }}" {{ in_array($country->id, $zone->zonePostalCodes->pluck('country_id')->toarray()) ? 'selected' :''}}>
                                    {{ $country->nicename }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
               
                <div class="postal-code-fileds col-md-12">
                    @foreach($zone->zonePostalCodes as $zonePostalCode)
                        <div class="row" id="{{ $zonePostalCode->country->iso }}">
                            <div class="col-md-2"><div class="form-group mt-4 ml-5 btn btn-default">{{ $zonePostalCode->country->iso }}</div></div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label for="">Icluded Postcode</label>
                                    <input type="text" class="form-control" name="included[{{ $zonePostalCode->country->id }}]" placeholder="Enter Icluded Postcode" value="{{ $zonePostalCode->incl }}" autocomplete="off">
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group mr-2">
                                    <label for="">Excluded Postcode</label>
                                    <input type="text" class="form-control" name="excluded[{{ $zonePostalCode->country->id }}]" placeholder="Enter Excluded Postcode" value="{{ $zonePostalCode->excl }}" autocomplete="off">
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>


                <div class="col-md-12">
                    <div id="message-area"></div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary" data-loading-text="Saving...">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<script src="{{ asset('js/zone.js') }}"></script>