@extends('layouts.app')
@section('page-title','Service')

@section('breadcrumb')
<div class="page-header">
    <div class="header-sub-title">
        <nav class="breadcrumb breadcrumb-dash">
            <a href="{{ route('home') }}" class="breadcrumb-item">Dashboard</a>
            <a href="{{ route('service-prices.index') }}" class="breadcrumb-item">Service Prices</a>
            <a href="{{ route('service-prices.list',$courierService->id) }}" class="breadcrumb-item"> {{ $courierService->courier->name }} - {{ $courierService->name }}</a>
            <a href="" class="breadcrumb-item"> Zones</a>
        </nav>
    </div>
</div>
@endsection

@section('body')
<div class="card">
    <div class="card-body">
        <div class="d-flex align-items-center justify-content-between m-b-15">
            <div class="d-flex align-items-center justify-content-between m-b-15">
                <h4>Service Zones -&nbsp;
                    <small class="badge tag-primary float-right mb-0" style="font-size: 13px;">
                        {{ $courierService->courier->name }} > {{ $courierService->name }}
                    </small>
                </h4>
            </div>
            <div class="card-toolbar">
                <ul>
                    <li>
                        <a class="btn btn-primary load-modal" href="javascript:void(0)" data-url="{{ route('zones.create', $courierService->id ) }}">
                            <i class="anticon anticon-plus"></i> Add Zone
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="m-t-50 e">
            <table id="zone-table" class="table" data-url="{{ route('zones.list', $courierService->id ) }}">
                <thead>
                    <tr>
                        <th>Zone</th>
                        <th class="text-center">Country</th>
                        <th>Included Postcode</th>
                        <th>Excluded Postcode</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@push('js')

<script>
    $(document).ready(async function () {
        let columns = [
            {data: 'zone_name'},
            {data: 'countries'},       
            {data: 'included_postcode'},       
            {data: 'excluded_postcode'},
            {data: 'actions', sortable: false, searchable: false},
        ];

        let table = await initDataTable($('#zone-table'), columns,1,[],[{className: "align-top", "targets": [1,2,3]}]);
    });


</script>
@endpush