<div class="modal-dialog modal-lg ">
    <div class="modal-content container">
        <div class="modal-header">
            <h4 class="modal-title">Edit Customer</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="ajax-form" method="PUT" action="{{ route('customers.update', $customer->id) }}"
            data-table="customer-table">
            @csrf

            <div class="row  mt-3">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="">Company Name</label>
                        <input type="text" class="form-control" name="company_name" placeholder="Enter Company Name"
                            value="{{ $customer->company_name }}" autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">Company ID</label>
                        <input type="text" class="form-control" name="company_id" placeholder="Enter Company ID"
                            value="{{ $customer->company_id }}" autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">Billing Period</label>
                        <select name="billing_period_id" id="billing_period_id"
                            class="form-control select-dynamic search">
                            @foreach ($billingPeriods as $billingPeriod)
                                <option value="{{ $billingPeriod->id }}"
                                    {{ $customer->billing_period_id == $billingPeriod->id ? 'selected' : '' }}>
                                    {{ $billingPeriod->billing_period }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="">Billing Companies</label>
                        <select name="billing_company_id" id="billing_company_id"
                            class="form-control select-dynamic search">
                            @foreach ($billingCompanies as $billingCompany)
                                <option value="{{ $billingCompany->id }}"
                                    {{ $customer->billing_company_id == $billingCompany->id ? 'selected' : '' }}>
                                    {{ $billingCompany->company_name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="">Email</label>
                        <input type="text" class="form-control" name="email" placeholder="Enter Email"
                            value="{{ $customer->email }}" autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">Telephone</label>
                        <input type="text" class="form-control" name="phone" placeholder="Enter Telephone"
                            value="{{ $customer->phone }}" autocomplete="off" required>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="">Address Line 1</label>
                        <input type="text" class="form-control" name="address_line_1"
                            placeholder="Enter Address Line 1" value="{{ $customer->address_line_1 }}"
                            autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">Address Line 2</label>
                        <input type="text" class="form-control" name="address_line_2"
                            placeholder="Enter Address Line 2" value="{{ $customer->address_line_2 }}"
                            autocomplete="off" required>
                    </div>

                    <div class="form-group">
                        <label for="">City</label>
                        <input type="text" class="form-control" name="city" placeholder="Enter City"
                            value="{{ $customer->city }}" autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">County</label>
                        <input type="text" class="form-control" name="county" placeholder="Enter County"
                            value="{{ $customer->county }}" autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">Postcode</label>
                        <input type="text" class="form-control" name="postcode" placeholder="Enter Postcode"
                            value="{{ $customer->postcode }}" autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">Country</label>
                        <select name="country" id="country" class="form-control select-dynamic search">
                            @foreach ($countries as $country)
                                <option value="{{ $country->iso }}"
                                    {{ $country->iso == $customer->country ? 'selected' : '' }}>
                                    {{ $country->nicename }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group d-flex align-items-center m-t-5 ml-3">
                    <div class="switch m-r-10">
                        <input type="hidden" name="is_reseller" id="is_active" value="{{ $customer->is_reseller ?? '0'  }}">
                        @if(isset($customer) && $customer->is_reseller == 1)
                            <input type="checkbox" id="is_active_switch" checked>
                        @else
                            <input type="checkbox" id="is_active_switch">
                        @endif
                        <label for="is_active_switch"></label>
                    </div>
                    <label>Is Reseller</label>
                </div>
                <div class="col-md-12">
                    <div id="message-area"></div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary" data-loading-text="Saving...">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
