@extends('layouts.app')
@section('page-title','Service')

@section('breadcrumb')
<div class="page-header">
    <div class="header-sub-title">
        <nav class="breadcrumb breadcrumb-dash">
            <a href="{{ route('home') }}" class="breadcrumb-item">Dashboard</a>
            <a href="{{ route('service-providers.index') }}" class="breadcrumb-item">Service Providers</a>
            <a href="" class="breadcrumb-item">Services</a>
        </nav>
    </div>
</div>
@endsection

@section('body')
<div class="card">
    <div class="card-body">
        <div class="d-flex align-items-center justify-content-between m-b-15">
            <h4>Services for courier - </h4>
            <div class="card-toolbar">
                <ul>
                    <li>
                        <a class="btn btn-primary load-modal" href="javascript:void(0)" data-url="{{ route('service.create') }}">
                            <i class="anticon anticon-plus"></i> Add Service
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="m-t-50">
            <table id="service-table" class="table" data-url="{{route('service.list')}}">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Service Code</th>
                        <th>Service Name</th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@push('js')

<script>
    // $(document).ready(async function () {
    //     let columns = [
    //         {data: 'service_name'},
    //         {data: 'courier'},       
    //         {data: 'service_id'},       
    //         {data: 'actions', sortable: false, searchable: false},
    //     ];

    //     let table = await initDataTable($('#service-table'), columns);
    // });
</script>
@endpush