<div class="modal-dialog modal-lg ">
    <div class="modal-content container">
        <div class="modal-header">
            <h4 class="modal-title">Update Billing Company</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <div class="modal-body">
            <form id="ajax-form" method="PUT" action="{{ route('billing-companies.update', $company->id) }}"
                  data-table="company-table">
                @csrf
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="">Name</label>
                            <input type="text" class="form-control" name="company_name" placeholder="Enter Company Name"
                                   value="{{ $company->company_name }}"
                                   autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">Email</label>
                            <input type="text" class="form-control" name="email" placeholder="Enter Email"
                                   value="{{ $company->email }}"
                                   autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">Address Line 1</label>
                            <input type="text" class="form-control" name="address_line_1"
                                   placeholder="Enter Address Line 1" value="{{ $company->address_line_1 }}"
                                   autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">Address Line 2</label>
                            <input type="text" class="form-control" name="address_line_2"
                                   placeholder="Enter Address Line 2" value="{{ $company->address_line_2 }}"
                                   autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">City</label>
                            <input type="text" class="form-control" name="city" placeholder="Enter City"
                                   value="{{ $company->city }}"
                                   autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">Country</label>
                            <select name="country" id="country" class="form-control select-dynamic chosen">
                                @foreach ($countries as $country)
                                    <option
                                        value="{{ $country->iso }}" {{ $company->country ==  $country->iso ? 'selected' : '' }}>{{ $country->nicename }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="">Telephone</label>
                            <input type="text" class="form-control" name="phone" placeholder="Enter Telephone"
                                   value="{{ $company->phone }}" autocomplete="off" >
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="">Company Number</label>
                            <input type="text" class="form-control" name="company_number"
                                   placeholder="Enter Company Number" value="{{ $company->company_number }}"
                                   autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">VAT Number</label>
                            <input type="text" class="form-control" name="vat_number" placeholder="Enter VAT Number"
                                   value="{{ $company->vat_number }}" autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">Bank Name</label>
                            <input type="text" class="form-control" name="bank_name" placeholder="Enter Bank Name"
                                   value="{{ $company->bank_name }}" autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">Bank Sort Code</label>
                            <input type="text" class="form-control" name="bank_sort_code"
                                   placeholder="Enter Bank Sort Code" value="{{ $company->bank_sort_code }}"
                                   autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">Bank Account Number</label>
                            <input type="text" class="form-control" name="bank_account_number"
                                   placeholder="Enter Bank Account Number" value="{{ $company->bank_account_number }}"
                                   autocomplete="off" >
                        </div>
                        <div class="form-group">
                            <label for="">Company Logo URL</label>
                            <input type="text" class="form-control" name="company_logo_url"
                                   placeholder="Enter Company Logo URL" value="{{ $company->company_logo_url }}"
                                   autocomplete="off" >
                        </div>

                        <div class="form-group d-flex align-items-center mt-5 ">
                            <div class="switch m-r-10">
                                <input type="hidden" name="tracking_verification" id="is_active" value="{{ $company->tracking_verification ?? 0 }}">
                                <input type="checkbox" id="is_active_switch" {{ $company->tracking_verification ? 'checked' : '' }}>
                                <label for="is_active_switch"></label>
                            </div>
                            <label>Tracking Verification</label>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <label for="" class="mt-3"><b>Xero account linked</b></label>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="">Courier Charges - Parcel Domestic Account Code</label>
                            <input type="number" class="form-control" name="parcel_domestic_account_code"
                                   placeholder="Enter Account Code"
                                   value="{{ $company->xeroAccount->parcel_domestic_account_code ?? '' }}" autocomplete="off">
                        </div>
                        <div class="form-group">
                            <label for="">Courier Charges - Parcel International Account Code</label>
                            <input type="number" class="form-control" name="parcel_international_account_code"
                                   placeholder="Enter Account Code"
                                   value="{{ $company->xeroAccount->parcel_international_account_code ?? '' }}"
                                   autocomplete="off">
                        </div>
                        <div class="form-group">
                            <label for="">Default Account Code</label>
                            <input type="number" class="form-control" name="account_code"
                                   placeholder="Enter Account Code"
                                   value="{{ $company->xeroAccount->account_code ?? '' }}" autocomplete="off">
                        </div>
                    </div>


                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="">Courier Charges - Post Domestic Account Code</label>
                            <input type="number" class="form-control" name="post_domestic_account_code"
                                   placeholder="Enter Account Code"
                                   value="{{ $company->xeroAccount->post_domestic_account_code ?? '' }}" autocomplete="off">
                        </div>
                        <div class="form-group">
                            <label for="">Courier Charges - Post International Account Code</label>
                            <input type="number" class="form-control" name="post_international_account_code"
                                   placeholder="Enter Account Code"
                                   value="{{ $company->xeroAccount->post_international_account_code ?? '' }}"
                                   autocomplete="off">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div id="message-area"></div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <div class="text-right">
                                <button type="submit" class="btn btn-primary"
                                        data-loading-text="Saving...">Save
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script>
    $('.search').chosen();
</script>

