@extends('layouts.app')
@section('page-title','Company Information')

@section('breadcrumb')
<div class="page-header">
    <div class="header-sub-title">
        <nav class="breadcrumb breadcrumb-dash">
            <a href="{{ route('home') }}" class="breadcrumb-item">Dashboard</a>
            <span class="breadcrumb-item active">Company Information</span>
        </nav>
    </div>
</div>
@endsection

@section('body')
<div class="card">
    <div class="card-body">
        <h4>Company Information</h4>
        <div class="m-t-50">
            <div class="col-md-12">
                <form id="ajax-form" method="PUT" action="{{route('company.info.update')}}">
                    @csrf

                    <div class="row">
                        <input type="hidden" name="type" value="channel_api_key">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="">Name</label>
                                <input type="text" class="form-control" name="name" placeholder="Enter Name" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Email</label>
                                <input type="text" class="form-control" name="email" placeholder="Enter Email" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Address Line 1</label>
                                <input type="text" class="form-control" name="address_line_1" placeholder="Enter Address Line 1" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Address Line 2</label>
                                <input type="text" class="form-control" name="address_line_2" placeholder="Enter Address Line 2" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">City</label>
                                <input type="text" class="form-control" name="city" placeholder="Enter City" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Country</label>
                                <select name="country" id="country" class="form-control select-dynamic chosen">
                                    @foreach($countries as $country)
                                        <option value="{{ $country->id }}">{{ $country->nicename }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="">Telephone</label>
                                <input type="text" class="form-control" name="telephone" placeholder="Enter Telephone" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Company Number</label>
                                <input type="text" class="form-control" name="company_number" placeholder="Enter Company Number" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">VAT Number</label>
                                <input type="text" class="form-control" name="vat_number" placeholder="Enter VAT Number" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Bank Name</label>
                                <input type="text" class="form-control" name="bank_name" placeholder="Enter Bank Name" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Bank Short Code</label>
                                <input type="text" class="form-control" name="bank_short_code" placeholder="Enter Bank Short Code" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Bank Account Number</label>
                                <input type="text" class="form-control" name="bank_account_number" placeholder="Enter Bank Account Number" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Company Logo URL</label>
                                <input type="text" class="form-control" name="company_logo_url" placeholder="Enter Company Logo URL" value="" autocomplete="off" required>
                            </div>

                            <div class="form-group">
                                <div class="checkbox mt-4">
                                    <input type="hidden" name="tracking_verification" id="tracking_verification" value="false">
                                    <input id="is_active_switch" type="checkbox">
                                    <label for="is_active_switch">Tracking Verification</label>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <label for="" class="mt-3">Xero account linked</label>
                            <div class="form-group">
                                <label for="">Courier Charges - Parcel Domestic Account Code</label>
                                <input type="text" class="form-control" name="email" placeholder="Enter Account Code" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Courier Charges - Parcel International Account Code</label>
                                <input type="text" class="form-control" name="email" placeholder="Enter Account Code" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Courier Charges - Post Domestic Account Code</label>
                                <input type="text" class="form-control" name="email" placeholder="Enter Account Code" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Courier Charges - Post International Account Code</label>
                                <input type="text" class="form-control" name="email" placeholder="Enter Account Code" value="" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <label for="">Default Account Code</label>
                                <input type="text" class="form-control" name="email" placeholder="Enter Account Code" value="" autocomplete="off" required>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="form-group">
                                <div class="text-right">
                                    <button type="submit" class="btn btn-primary" data-loading-text="Saving...">Save</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection

@push('js')
<script>

</script>
@endpush