@extends('layouts.app')
@section('page-title','Master Configurations')



@section('breadcrumb')

@endsection

@section('body')
<div class="card">
    <div class="card-header" style="background-color: #223143;">
        <h2 class="card-title" style=" color: #fff;">Edit Master Configurations</h2>
    </div>
    <div class="card-body">
        <div class="col-md-12 text-right">
            <a style="margin-bottom: 10px;" href="{{ URL::to("create_task") }}" class="btn btn-primary">Create Task</a>
        </div>
        <div class="table-responsive">
            <table class="table table-hover" id="sample_tabl">
                <tbody>
                    <tr>
                        <th>ID</th>
                        <th>Task Name</th>
                        <th>Job Type</th>
                        <th>Status</th>
                        <th>Control</th>
                    </tr>
                    @foreach ($tasks as $task)
                    <tr>
                        <td>{{ $task->id }}</td>
                        <td>{{ $task->name }}</td>
                        @if($task->job_type == 1)
                        <td>Compatibility</td>
                        @elseif($task->job_type == 2)
                        <td>RRP Strikethrough </td>
                        @elseif($task->job_type == 3)
                        <td>Fixing Image </td>
                        @endif



                        @if($task->status == 2)
                        <td>On Process</td>
                        @elseif($task->status == 1)
                        <td>Queued</td>
                        @else
                        <td>Completed</td>
                        @endif

                        <!-- Delete Button -->
                        @if($task->status == 1)
                        <td><a class="btn btn-sm btn-danger" href="{{ URL::to('delete_task/'.$task->id) }}"><i class="anticon anticon-delete"></i></a></td>
                        @elseif($task->status == 0)
                        <td>
                            {{-- <a class="btn btn-sm btn-success" href="/ebaymotors/public/csv_reports/{{ $task->directory }}/{{ $task->name }}.zip"><i class="fa fa-arrow-circle-down"></i></a>
                        <a class="btn btn-sm btn-danger" href="{{ URL::to('delete_task/'.$task->id) }}"><i class="fa fa-trash-o"></i></i></a> --}}
                            @if($task->job_type == 1)
                            <a class="btn btn-sm btn-success" href="/ebaymotors/public/csv_reports/{{ $task->directory }}/{{ $task->name }}-1.csv"><i class="fa fa-arrow-circle-down"></i></a>
                            @elseif($task->job_type == 3)
                            <a class="btn btn-sm btn-success" href="/ebaymotors/public/image_urlerror/{{ $task->name.'_'.$task->id }}.csv"><i class="fa fa-arrow-circle-down"></i></a>
							@else
								
							<a class="btn btn-sm btn-success" href="/ebaymotors/public/rrp/{{ $task->name}}.csv"><i class="fa fa-arrow-circle-down"></i></a>
							

                            @endif




                            <a class="btn btn-sm btn-danger" href="{{ URL::to('delete_task/'.$task->id) }}"><i class="anticon anticon-delete"></i></i></a>
                        </td>
                        @else
                        <td><a class="btn btn-sm" href="{{ URL::to('stop_task/'.$task->id) }}"><i class="anticon"></i></a></td>
                        @endif
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>

@endsection

@push('js')

@endpush











