<!DOCTYPE html>
<html lang="en">
@include('layouts.head')
@stack('css')
@yield('page_style')

<body>
    <div class="app">
        <div class="layout">
            <!-- Header START -->
            @include('layouts.header')
            <!-- Header END -->

            <!-- Side Nav START -->
            @include('layouts.side_bar')
            <!-- Side Nav END -->


            <!-- Page Container START -->
            <div class="page-container">
                <div class="main-content">
                    <div class="page-header">
                        @if ($accountid = session()->get('ebayaccountid'))
                        {{ \App\Models\Ebayaccount::find($accountid)->display_name ??''}}
                        @endif

                        @yield('page-header')
                        @yield('breadcrumb')
                    </div>

                    <!-- Content Wrapper START -->
                    @yield('body')
                    <!-- Content Wrapper END -->

                </div>
            </div>
            <!-- Page Container END -->


        </div>
    </div>

    @include('layouts.modal')
    @include('layouts.scripts')
    @stack('js')

</body>

</html>
