@extends('layouts.app')
@section('page-title','Edit Master Configurations')



@section('breadcrumb')
<div class="page-header">
    <div class="header-sub-title">
        <nav class="breadcrumb breadcrumb-dash">
        </nav>
    </div>
</div>
@endsection

@section('body')

<div class="card">
    <div class="card-header" style="background-color: #223143;">
        <h2 class="card-title" style=" color: #fff;">Edit Master Configurations</h2>
            {{-- <a href="" class="breadcrumb-item">Edit Master Configurations</a> --}}
    </div>
    <div class="card-body">
        <form action="{{ URL::to('/masterconfig/save') }}" method="POST">
            @csrf
                <table class="table table-hover" id="sample_tabl">
                    <tbody>
                        @foreach (\App\Models\Masterconfig::all() as $config)
                        <tr>
                            <td>{{ $config->config_key_display }}</td>
                            <td>
                                @if (!empty($config->list_of_values))
                                <select  class="form-control" name="{{ $config->config_key }}">
                                    @foreach(explode(',', $config->list_of_values) as $value)
                                    <option value="{{ $value }}" {{{ $config->config_value==$value?'selected':'' }}}>{{ $value }}</option>
                                    @endforeach
                                </select>

                                @elseif($config->config_key=='DEFAULT_EBAY_ACCOUNT')
                                    @if(\App\Models\Ebayaccount::all())
                                     <select class="form-control" name="{{ $config->config_key }}">
                                        <option value=''>Select</option>
                                            @foreach (\App\Models\Ebayaccount::all() as $account)
                                                <option value='{{ $account->id }}' {{{ $config->config_value==$account->id?'selected':'' }}}>{{ $account->display_name }}</option>

                                            @endforeach
                                    </select>
                                    @endif
                                @else
                                <input class="form-control" type="text" name="{{ $config->config_key }}" value="{{ $config->config_value }}"/>
                                @endif
                            </td>
                        </tr>
                        @endforeach
                        <tr>
                            <td></td>
                            <td><input type="submit" name="submit" value="submit" class="btn btn-sm btn-primary">
                                <input type="reset" name="reset" value="reset" class="btn btn-sm btn-success"></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </form>
    </div>
</div>
@endsection

@push('js')

@endpush




{{-- @extends('layout')


@section('panelheading1')
@parent

Edit
@stop

@section('panelheading2')
@parent

Master Configurations
@stop


@section('content')

<form action="{{ URL::to('masterconfig/save') }}" method="POST">
    <div class="table-responsive">
        <table class="table table-striped table-hover" id="sample_tabl">
            <tbody>
                @foreach ($masterconfigs as $config)
                <tr>
                    <td>{{ $config->config_key_display }}</td>
                    <td>
                        @if (!empty($config->list_of_values))
                        <select name="{{ $config->config_key }}">
                            @foreach(explode(',', $config->list_of_values) as $value)
                            <option value="{{ $value }}" {{{ $config->config_value==$value?'selected':'' }}}>{{ $value }}</option>
                            @endforeach
                        </select>

                        @elseif($config->config_key=='DEFAULT_EBAY_ACCOUNT')
                            @if(Session::has('ebayaccounts'))
                             <select name="{{ $config->config_key }}">
                                <option value=''>Select</option>
                                    @foreach (Session::get('ebayaccounts') as $account)
                                        <option value='{{ $account->id }}' {{{ $config->config_value==$account->id?'selected':'' }}}>{{ $account->display_name }}</option>

                                    @endforeach
                            </select>
                            @endif
                        @else
                        <input type="text" name="{{ $config->config_key }}" value="{{ $config->config_value }}"/>
                        @endif
                    </td>
                </tr>
                @endforeach

                <tr>
                    <td></td>
                    <td><input type="submit" name="submit" value="submit" class="btn btn-sm btn-primary">
                        <input type="reset" name="reset" value="reset" class="btn btn-sm btn-success"></td>
                </tr>

            </tbody>
        </table>
    </div>

</form>

@stop --}}
