@extends('layouts.app')
@section('page-title','View Logs')


@section('body')
<div class="card">
    <div class="card-header" style="background-color: #223143;">
        <h2 class="card-title" style=" color: #fff;">View Logs</h2>
    </div>
    <div class="card-body">
        <div class="">
            <table>
                    <tbody>
                        @foreach ($logevents as $event)
                            <tr>
                                <td  style="padding-bottom: 20px;">

                                    @if($event->event_type=='ERROR')
                                    <?php if($event->my_itemid ==0){
                                        //continue;
                                    }?>
                                    <span style="color:red">On {{{ date("d/m/Y", strtotime($event->created_at)) }}} at {{{ date('h:i A', strtotime($event->created_at)) }}}, item number {{ $event->my_itemid }} failed  compatibility revision with the error message '{{ $event->any_message }}' from ebay.</span>
                                    @elseif($event->event_type=='WARNING')
                                    <span style="color:green">On {{{ date("d/m/Y", strtotime($event->created_at)) }}} at {{{ date('h:i A', strtotime($event->created_at)) }}}, item number {{ $event->my_itemid }} {{ $event->action }}  with the warning message '{{ $event->any_message }}' from ebay.</span>
                                    @else
                                    <span style="color:blue">On {{{ date("d/m/Y", strtotime($event->created_at)) }}} at {{{ date('h:i A', strtotime($event->created_at)) }}}, item number {{ $event->my_itemid }} {{ $event->action }}</span>
                                    @endif
                                </td>

                            </tr>
                         @endforeach

                    </tbody>
            </table>

            <div class="row" style="align-items: center;justify-content: center;">


            <nav aria-label="...">
                <ul class="pagination">
                    @if ($pageid>1)
                        <li class="page-item">
                            <a class="page-link" href="{{ URL::to('viewlog') }}/page/{{{ $pageid-1 }}}" tabindex="-1">Previous</a>
                        </li>
                    @endif

                    @for ($i = $pageid; $i <= $totalpages && $i<$linksperpage+$pageid; $i++)
                            @if($i==$pageid)
                            <li class="page-item active">
                                <a class="page-link" href="{{ URL::to('viewlog') }}/page/{{ $i }}">{{ $i }} <span class="sr-only">(current)</span></a>
                              </li>
                            @else
                            <li>
                                {{-- <a href="{{ URL::to('viewlog') }}/page/{{ $i }}">{{ $i }}</a> --}}
                                <li class="page-item"><a class="page-link" href="{{ URL::to('viewlog') }}/page/{{ $i }}">{{ $i }}</a></li>
                            </li>
                            @endif
                        @endfor


                @if($totalpages>$linksperpage+$pageid-1)
                    <li class="page-item">
                        <a class="page-link" href="{{ URL::to('viewlog') }}/page/{{{ $linksperpage+$pageid }}}">Next</a>
                    </li>
                @endif
                </ul>
              </nav>

        </div>
    </div>
</div>


@endsection

@push('js')

@endpush




