<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\EbayaccountsController;
use App\Http\Controllers\ImageReviseController;
use App\Http\Controllers\ListingController;
use App\Http\Controllers\LogController;
use App\Http\Controllers\MasterconfigController;
use App\Http\Controllers\RecommendedretailpriceController;
use App\Http\Controllers\UploadTaskController;
use App\Models\Ebayaccount;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes(['register' => false]);
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::get('/', function () {
    return redirect()->route('home');
});
Route::get('/execute_task', [ListingController::class, 'executeTask'] )->name('/execute_task');

Route::middleware(['auth','is-admin'])->group(function () {

Route::get('ebayaccount/list/{id}', function ($id) {

    Session::put('ebayaccountid', $id);
    $account = Ebayaccount::find($id);
    Session::put('ebayaccount', $account);
    return Redirect::to('create_task');
});

// Route::get
// Route::get('couriers/list', [CourierController::class, 'list'])->name('couriers.list');
Route::get('/tasks', [UploadTaskController::class, 'viewTasks'] )->name('tasks');
Route::get('/create_task', [UploadTaskController::class, 'createTaskForm'] )->name('createTaskForm');
Route::post('/createtask', [UploadTaskController::class, 'createTask'] )->name('createtask');
Route::post('/uploadfile', [UploadTaskController::class, 'UploadFile'] )->name('uploadfile');
Route::get('/delete_task/{id}', [UploadTaskController::class, 'deleteTask'] )->name('/delete_task/{id)');
Route::get('/stop_task/{id}', [UploadTaskController::class, 'stopTask'] )->name('/stop_task/{id}');
Route::get('/downloadReport/{id}', [UploadTaskController::class, 'downloadReport'] )->name('/downloadReport/{id}');


Route::get('/masterconfig', [MasterconfigController::class, 'showMasterconfigs'] )->name('masterconfig');
Route::post('/masterconfig/save', [MasterconfigController::class, 'saveMasterconfigs'] )->name('masterconfig/save');



Route::get('/compatibility', [ListingController::class, 'createUploadcompatibilityForm'] )->name('compatibility');
Route::get('/checkcompatibility', [ListingController::class, 'createUploadcheckcompatibilityForm'] )->name('checkcompatibility');
Route::get('/getitemhtmldescription', [ListingController::class, 'getitemhtmldescription'] )->name('getitemhtmldescription');
Route::post('/sendcompatibilityitemtoebay', [ListingController::class, 'sendcompatibilityitemtoebay'] )->name('sendcompatibilityitemtoebay');
Route::post('/checkcompatibilityitemwithebay', [ListingController::class, 'checkCompatibilityItemWithEbay'] )->name('checkcompatibilityitemwithebay');
Route::post('/getitemhtmldescriptionpost', [ListingController::class, 'getitemhtmldescriptionpost'] )->name('getitemhtmldescriptionpost');










Route::get('/recommendedretailpriceform', [RecommendedretailpriceController::class, 'recommendedretailrriceview'] )->name('recommendedretailpriceform');
Route::post('/sendrecommendedretailpricetoebay', [RecommendedretailpriceController::class, 'reviserrpriceebay'] )->name('sendrecommendedretailpricetoebay');



Route::get('/viewlog/page/{pageid}', [LogController::class, 'viewLog'] )->name('/viewlog/page/');





Route::get('/imageuploader', [ImageReviseController::class, 'uploadImageView'] )->name('/viewlog/page/');
Route::get('/fixing-thumbnail', [ImageReviseController::class, 'ThambnailView'] )->name('fixing-thumbnail');
Route::post('/upload-thumbnails', [ImageReviseController::class, 'FixedThumbnails'] )->name('upload-thumbnails');
Route::post('/imagestatus', [ImageReviseController::class, 'ImageStatus'] )->name('imagestatus');




Route::get('/ebayaccount/list', [EbayaccountsController::class, 'listAccount'] )->name('ebayaccount/list');
Route::get('/ebayaccount/edit/{id}', [EbayaccountsController::class, 'editAccount'] )->name('/ebayaccount/edit/{id}');
Route::post('/ebayaccount/save', [EbayaccountsController::class, 'saveAccount'] )->name('/ebayaccount/save');
Route::get('/ebayaccount/add', [EbayaccountsController::class, 'createAccount'] )->name('/ebayaccount/add');
Route::get('/ebayaccount/delete/{id}', [EbayaccountsController::class, 'removeAccount'] )->name('/ebayaccount/delete/{id}');


////////////////////////////////////////////////////////
Route::get('/downloadCompatibility', [ListingController::class, 'downloadCompatibilityForm'] )->name('downloadCompatibility');
Route::post('/downloadcompatibilitytocsv', [ListingController::class, 'downloadCompatibility'] )->name('downloadCompatibilitytocsv');
///////////////////////////////////////////////////////

});



