
<?php $__env->startSection('page-title', 'Customers'); ?>

<?php $__env->startSection('page-header'); ?>
    <div class="page-header">
        <div class="row">
            <div class="col-6">
                <h4 class="header-title">Customers</h4>
            </div>
            <div class="col-6">
                <div class="action-section">
                    <a class="btn btn-success load-modal" href="javascript:void(0)"
                        data-url="<?php echo e(route('customers.create')); ?>">
                        <i class="anticon anticon-plus"></i> Add Customer
                    </a>
                </div>
            </div>
        </div>

        <div class="header-sub-title mt-1">
            <nav class="breadcrumb breadcrumb-dash">
                <a href="<?php echo e(route('home')); ?>" class="breadcrumb-item">Dashboard</a>
                <a href="" class="breadcrumb-item">Customers</a>
            </nav>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('body'); ?>
    <div class="card">
        <div class="card-body">
            <div class="table-responsive">
                <table id="customer-table" class="table" data-url="<?php echo e(route('customers.list')); ?>">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Company Name</th>
                            <th>Company ID</th>
                            <th>Billing Period</th>
                            <th>Billing Company</th>
                            
                            <th>Address Line 1</th>
                            <th>Address Line 2</th>
                            <th>City</th>
                            <th>County</th>
                            <th>Postcode</th>
                            <th>Country</th>
                            <th></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
    <script>
        $(document).ready(async function() {
            let columns = [
                {
                    data: 'id'
                },
                {
                    data: 'company_name'
                },
                {
                    data: 'company_id'
                },
                {
                    data: 'billing_period'
                },
                {
                    data: 'billing_company'
                },
                // {data: 'email'},
                // {data: 'phone'},
                {
                    data: 'address_line_1'
                },
                {
                    data: 'address_line_2'
                },
                {
                    data: 'city'
                },
                {
                    data: 'county'
                },
                {
                    data: 'postcode'
                },
                {
                    data: 'country'
                },
                {
                    data: 'reseller'
                },
                {
                    data: 'actions',
                    sortable: false,
                    searchable: false
                },
            ];

            await initDataTable($('#customer-table'), columns);
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp-7\htdocs\hect\hect-billing-system\resources\views/admin/billing/customer/index.blade.php ENDPATH**/ ?>