<!DOCTYPE html>
<html lang="en">

<?php $__env->startSection('page-title','Sign In'); ?>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Ebay | <?php echo $__env->yieldContent('page-title'); ?></title>

    <meta name="base_url" content="<?php echo e(url('/')); ?>">
    <meta name="csrf_token" content="<?php echo e(csrf_token()); ?>">

    <!-- Favicon -->
    <link rel="shortcut icon" href="<?php echo e(asset('images/logo/fav.png')); ?>">

    <!-- Core css -->
    <link href="<?php echo e(asset('css/app.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/custom.css?v=3')); ?>" rel="stylesheet">
</head>


<body class="login-page">
    <div class="app" style="background-color: #ea4d1a;">
        <div class="intro-animation <?php echo e($errors->any() ? '' : 'active'); ?>" id="intro_animation">
            <div class="splash">
                <div class="content">
                    <span class="bk-bg-txt">HubBub</span>
                    <blockquote>
                        <h1>HubBub</h1>
                        <p>hub&#8226;bub &#124; &#92; ˈhə&#45;ˌbəb &#92;<br>
                            Definition of hubbub<br>
                            1: NOISE, UPROAR <br>
                            2: CONFUSION, TURMOIL</p>
                    </blockquote>
                </div>
            </div>
        </div>
        <!--	animation code ends-->
        <div class="app login_card" style="background-color: #ea4d1a;">
            <div class="card d-flex flex-row-reverse dark" style="border-radius: 0">
                <div class="card-body">
                    <img src="<?php echo e(asset('images/logo/logo2.svg')); ?>" style="width: 100%;" class="m-b-10 hub-logo">
                    <!--lottie animation-->
                    <lottie-player src="<?php echo e(asset('json/lf30_editor_i5vd9fsj.json')); ?>" background="transparent" speed="1"
                        style="width: 100%; height: 110px;" loop autoplay></lottie-player>
                    <!--end of lottie animation-->
                    <h2>Sign In</h2>
                    <p class="m-b-30">Enter your credential to get access</p>
                    <form method="POST" action="<?php echo e(route('login')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label class="font-weight-semibold" for="userName">Email</label>
                            <div class="input-affix">
                                <i class="prefix-icon anticon anticon-user"></i>
                                <input id="email" type="email" class="form-control " name="email" value="" required=""
                                    autocomplete="email" placeholder="Enter E-Mail Address">
                            </div>
                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert" style="display: block;">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="form-group">
                            <label class="font-weight-semibold" for="password">Password</label>
                            <!-- <a class="float-right font-size-13 text-muted" href="">Forget Password?</a> -->
                            <div class="input-affix m-b-10">
                                <i class="prefix-icon anticon anticon-lock"></i>
                                <input id="password" type="password" class="form-control " name="password" required=""
                                    autocomplete="current-password" placeholder="Enter Password">
                            </div>
                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert" style="display: block;">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="form-group">
                            <div class="d-flex align-items-center">
                                <span class="font-size-13 text-muted"></span>
                                <button type="submit" class="btn btn-danger w-100"
                                    data-loading-text="Signing In..."><?php echo e(__('Sign In')); ?></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


  <!-- Core Vendors JS -->
  <script src="<?php echo e(asset('js/vendors.min.js')); ?>"></script>

  <!-- Core JS -->
  <script src="<?php echo e(asset('js/app.min.js')); ?>"></script>
  <script src="<?php echo e(asset('js/common.js')); ?>"></script>
  <script src="https://unpkg.com/@lottiefiles/lottie-player@latest/dist/lottie-player.js"></script>
  <script>
    var css = `
                .app {
        /*background-image: url("./Global-logistics-Trans@2x.png") ;*/
        background-image: url("./../images/intro/background-lines.jpg");
        background-size: cover;
        background-repeat: no-repeat;
        /*background-position: calc(100% - -130px) calc(99vh / 10);*/
        background-position: 0px 0px;
    }

    .card {
        background: #1e2831;
        width: 100%;
        /*    width: 490px;*/
        border: 0;
        height: 100vh;
        align-items: center;
        /*vertical aligned to middle*/
        margin: 0;

    }

    .card .card-body {
        width: 320px;
        flex: 0 0 auto
            /*overwrite bootstraps*/
        ;
        opacity: 0;
    }

    .card.dark h2,
    .card.dark label,
    .card.dark p {
        color: white;
    }

    .card.dark h2 {
        margin: 0;
        font-size: 20px;
    }

    /*SPLASH SCREEN STYLES**/

    .intro-animation {
        position: absolute;
        background: #E24C1B;
        z-index: 999;
        width: 100%;
        height: 100vh;
        color: white;
    }


    .intro-animation {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .intro-animation span.bk-bg-txt {
        font-weight: bold;
        font-size: 235px;
        text-align: left;
        color: #fff;
        opacity: 0.21;
        margin: -300px 0 -100px 0;
        display: block;
    }

    .intro-animation blockquote h1 {
        font-weight: 500;
        font-size: 83px;
        text-align: left;
        color: #fff;
        font-style: normal;
        margin: 0;
    }

    .intro-animation blockquote p {
        font-weight: normal;
        font-style: italic;
        font-size: 15px;
        text-align: left;
        color: #fff;
        line-height: 20px;
    }

    blockquote {
        padding: 0 90px;
        border: 0;
        margin: 0px auto 0;
        font-family: inherit;
        width: 520px;
        background: url("./../images/intro/quote-left-duotone.svg") no-repeat left 74px, url("./../images/intro/quote-right-duotone.svg") no-repeat right 74px;
    }

    @media  screen and (max-width: 767px) {
        .form-control {
            font-size: 16px;
        }
    }`,
        head = document.head || document.getElementsByTagName('head')[0],
        style = document.createElement('style');

    head.appendChild(style);

    style.type = 'text/css';
    if (style.styleSheet) {
        // This is required for IE8 and below.
        style.styleSheet.cssText = css;
    } else {
        style.appendChild(document.createTextNode(css));
    }
</script>
</body>

</html>
<?php /**PATH C:\xampp-7\htdocs\hect\hect-billing-system\resources\views/auth/login.blade.php ENDPATH**/ ?>